package org.gridminer.jspace.lifecycle;

/**
 * @author Ibrahim Elsayed
 * @version 1.0
 * The MetaInfo class represents meta data about the scientist who conducts the life cycle (experiment).
 *
 */
public class MetaInfo extends LifeCycleActivity{
	
	public String username;
	public String fullName;
	public String researchDomain;
	public String researchGroup;
	public String researchGroupURL;
	public String email;
	
	public MetaInfo(String username, String fullName, String researchDomain, String researchGroup, String researchGroupURL, String email) {
		this.username = username;
		this.fullName = fullName;
		this.researchDomain = researchDomain;
		this.researchGroup = researchGroup;
		this.researchGroupURL = researchGroupURL;
		this.email = email;
	}
}

