package org.gridminer.jspace.lifecycle.composer;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.io.File;

import javax.swing.AbstractAction;
import javax.swing.BorderFactory;
import javax.swing.ButtonGroup;
import javax.swing.ComboBoxModel;
import javax.swing.DefaultComboBoxModel;
import javax.swing.GroupLayout;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JFileChooser;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JTabbedPane;
import javax.swing.JTable;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.JTextPane;
import javax.swing.KeyStroke;
import javax.swing.LayoutStyle;
import javax.swing.SwingConstants;

import javax.swing.WindowConstants;
import javax.swing.border.BevelBorder;
import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableModel;
import javax.swing.SwingUtilities;

import org.gridminer.jspace.lifecycle.DataPreparation;
import org.gridminer.jspace.lifecycle.GoalSpecification;
import org.gridminer.jspace.lifecycle.LifeCycleResource;
import org.gridminer.jspace.lifecycle.MetaInfo;
import org.gridminer.jspace.lifecycle.MyUtilities;
import org.gridminer.jspace.lifecycle.PublicationMode;
import org.gridminer.jspace.lifecycle.ResultsProcessing;
import org.gridminer.jspace.lifecycle.TaskExecution;
import org.gridminer.jspace.lifecycle.TaskSelection;
import org.gridminer.jspace.lifecycle.jSpaceConfig;


/**
* This code was edited or generated using CloudGarden's Jigloo
* SWT/Swing GUI Builder, which is free for non-commercial
* use. If Jigloo is being used commercially (ie, by a corporation,
* company or business for any purpose whatever) then you
* should purchase a license for each developer using Jigloo.
* Please visit www.cloudgarden.com for details.
* Use of Jigloo implies acceptance of these licensing terms.
* A COMMERCIAL LICENSE HAS NOT BEEN PURCHASED FOR
* THIS MACHINE, SO JIGLOO OR THIS CODE CANNOT BE USED
* LEGALLY FOR ANY CORPORATE OR COMMERCIAL PURPOSE.
*/

/**
 * @author Ibrahim Elsayed
 * @version 1.0
 * The GUI of the e-Science Life Cycle Composer
 *
 */
public class LifeCycleComposerGui extends javax.swing.JFrame {

	{
		//Set Look & Feel
		try {
			javax.swing.UIManager.setLookAndFeel("apple.laf.AquaLookAndFeel");
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

	
	private JButton OkButton;
	private JButton CancelButton;
	private JTextField researchGroup;
	private AbstractAction closeActionAbout;
	private JLabel jLabel1;
	private JButton jButton1;
	private JMenuBar jMenuBar1;
	private JDialog jDialog1;
	private AbstractAction aboutAction;
	private JMenuItem jMenuItem1;
	private JMenu jMenu2;
	private JMenu jMenu1;
	private JTextField researchDomain;
	private JTextField username;
	private JTextField name;
	private JPanel resultPublishing;
	private JPanel taskExecution;
	private AbstractAction abstractAction1_OK;
	private AbstractAction CancelActionGUI;
	private AbstractAction OKActionImport;
	private AbstractAction OKActionExport;
	private JButton jButton4Export;
	private JButton jButton4ImportOK;
	private JPanel jPanel1Import;
	private JDialog jDialog2Import;
	private AbstractAction ImportAction1;
	private JMenuItem jMenuItem5;
	private JPanel jPanel1Export;
	private JDialog jDialog2Export;
	private AbstractAction ExportAction1;
	private JMenuItem jMenuItem4;
	private JTextField jTextField1_g_dbDriver;
	private JTextField jTextField1_g_dbType;
	private JTextField jTextField1_g_dbPasswd;
	private JTextField jTextField1_g_dbUser;
	private JTextField jTextField1_g_dbUrl;
	private JPanel jPanel1_globalRDFStoreSettings;
	private JTextField jTextField1_l_db_driver;
	private JTextField jTextField1_l_db_type;
	private JTextField jTextField1_l_dbpasswd;
	private JTextField jTextField1_l_dbUser;
	private JLabel l_dbDRIVER_Label;
	private JTextField l_dbTYPE;
	private JComboBox jComboBox1_pubMode;
	private AbstractAction pubModeAction;
	private JTextField jTextField1_ddDatasetName;
	private JLabel jLabel4_ddDatasetName;
	private JTextField jTextField1_bgDatasetName;
	private JLabel jLabel4_bgDatasetName;
	private JLabel dataPreparationLabel1;
	private JLabel jLabel3_GSGoal;
	private JTextArea jTextArea1_RPAnnotation;
	private JTextField jTextField1_l_dbUrl;
	private JLabel l_dbTYPE_Label;
	private JTextField l_dbPASSWD;
	private JLabel l_dbPASSWD_Label;
	private JTextField l_dbUser;
	private JPanel jPanel1_localPDBSettings;
	private JPanel jPanel1_localRDFStoreSettings;
	private JPanel jPanel1_GlobalSettings;
	private JPanel jPanel1_localSettings;
	private JTabbedPane jTabbedPane2;
	private JDialog jDialog2Config;
	private AbstractAction configAction;
	private JMenuItem jMenuItem3;
	private JTextField FIDS_name;
	private JLabel fidsName;
	private JLabel emailLabel;
	private JLabel usernameLabel;
	private JLabel fullNameLabel;
	private JLabel researchDomainLabel;
	private JLabel researchGroupLabel;
	private JLabel url;
	private JLabel jLabel3;
	private JTextField URL;
	private JTextField email;
	private JLabel jLabel3_LifeScienceCycle;
	private JDialog jDialog2LifeScienceCycle;
	private AbstractAction lifeScienceCycleAction;
	private JMenuItem jMenuItem2;
	private JPanel jPanel1_MetaInfo;
	private JLabel jLabel3_RPAnnotation;
	private JTextField jTextField1_PRPublicationURL;
	private JLabel jLabel3_RPPublication;
	private JLabel jLabel3_RP;
	private JTextField jTextField1_TEKeywords;
	private JLabel jLabel3_TEKeywords;
	private JTextArea jTextArea1_TEDescription;
	private JLabel jLabel3_TEDescription;
	private JButton jButton3;
	private JTextField jTextField1_TEPathToPublishedResults;
	private JLabel jLabel3_TEReportPath;
	private JTextField jTextField1_GSNameOfStudy;
	private JLabel jLabel3_GSNameofStudy;
	private JTextField jTextField1_GSKeywords;
	private JLabel jLabel3_GSKeywords;
	private JTextArea jTextArea1_DPGoal;
	private JTextField jTextField1_TSKeywords;
	private JLabel jLabel3_TSKeywords;
	private JTextArea jTextArea1_TSDescription;
	private JLabel jLabel3_TS_description;
	private JButton jButton2;
	private JTextField jTextField1_TSURI;
	private JLabel jLabel3_TS;
	private JTextField jTextField1_DPKeywords;
	private JLabel jLabel3_DPKeywords;
	private JTextArea jTextArea1_FIDS;
	private JLabel jLabel2;
	private AbstractAction closeBrowseAction;
	private JFileChooser jFileChooser1;
	private JDialog jDialog2browse;
	private AbstractAction browseAction1;
	private JButton DPjButton2;
	private JTextField dataPreparationFIDS_URI;
	private JPanel taskSelection;
	private JPanel dataPreparation;
	private JPanel goalSpecification;
	private JTabbedPane jTabbedPane1;
	
	public String FIDSname = "";
	public File FIDS;

	
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				LifeCycleComposerGui inst = new LifeCycleComposerGui();
				inst.setLocationRelativeTo(null);
				inst.setVisible(true);
			}
		});
	}
	
	public LifeCycleComposerGui() {
		super();
		initGUI();
	}
	
	private void initGUI() {
		try {
			setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
			GroupLayout thisLayout = new GroupLayout((JComponent)getContentPane());
			getContentPane().setLayout(thisLayout);
			this.setFont(new java.awt.Font("Kai",0,10));
			this.setTitle("e-Science Life Cycle Composer v1.0");
			{
				jMenuBar1 = new JMenuBar();
				setJMenuBar(getJMenuBar1());
				jMenuBar1.add(getJMenu1());
				jMenuBar1.add(getJMenu2());
			}
			{
				OkButton = new JButton();
				OkButton.setText("OK");
				OkButton.setFont(new java.awt.Font("Lucida Grande",1,13));
				OkButton.setAction(getAbstractAction1_OK());

			}
			{
				jTabbedPane1 = new JTabbedPane();
				{
					goalSpecification = new JPanel();
					jTabbedPane1.addTab("Meta Info", null, getJPanel1_MetaInfo(), null);
					jTabbedPane1.addTab("GS", null, goalSpecification, null);
					goalSpecification.setLayout(null);
				}
				{
					dataPreparation = new JPanel();
					jTabbedPane1.addTab("DP", null, getDataPreparation(), null);
					dataPreparation.setLayout(null);
					dataPreparation.add(getFidsName());
					dataPreparation.add(getFIDS_name());
					dataPreparation.add(getDataPreparationLabel1());
					dataPreparation.add(getDataPreparationFIDS_URI());
					dataPreparation.add(getDPjButton2());
					dataPreparation.add(getJLabel2());
					dataPreparation.add(getJTextArea1_FIDS());
					dataPreparation.add(getJLabel3_DPKeywords());
					dataPreparation.add(getJTextField1_DPKeywords());
				}
				{
					taskSelection = new JPanel();
					jTabbedPane1.addTab("TS", null, getTaskSelection(), null);
					taskSelection.setLayout(null);
					taskSelection.add(getJLabel4_bgDatasetName());
					taskSelection.add(getJTextField1_bgDatasetName());
					taskSelection.add(getJLabel3_TS());
					taskSelection.add(getJTextField1_TSURI());
					taskSelection.add(getJButton2());
					taskSelection.add(getJLabel3_TS_description());
					taskSelection.add(getJTextArea1_TSDescription());
					taskSelection.add(getJLabel3_TSKeywords());
					taskSelection.add(getJTextField1_TSKeywords());
				}
				{
			taskExecution = new JPanel();
					jTabbedPane1.addTab("TE", null, getTaskExecutionx(), null);
					taskExecution.setLayout(null);
					taskExecution.add(getJLabel4_ddDatasetName());
					taskExecution.add(getJTextField1_ddDatasetName());
					taskExecution.add(getJLabel3_TEReportPath());
					taskExecution.add(getJTextField1_TEPathToPublishedResults());
					taskExecution.add(getJButton3());
					taskExecution.add(getJLabel3_TEDescription());
					taskExecution.add(getJTextArea1_TEDescription());
					taskExecution.add(getJLabel3_TEKeywords());
					taskExecution.add(getJTextField1_TEKeywords());
				}
				{
				resultPublishing = new JPanel();
					jTabbedPane1.addTab("RP", null, getResultPublishing(), null);
					resultPublishing.setLayout(null);
					resultPublishing.add(getJLabel3_RP());
					resultPublishing.add(getJComboBox1_pubMode());
					resultPublishing.add(getJLabel3_RPPublication());
					resultPublishing.add(getJTextField1_PRPublicationURL());
					resultPublishing.add(getJLabel3_RPAnnotation());
					resultPublishing.add(getJTextArea1_RPAnnotation());
				}
			}
			{
				CancelButton = new JButton();
				CancelButton.setText("Cancel");
				CancelButton.setFont(new java.awt.Font("Lucida Grande",1,13));
				CancelButton.setAction(getCancelActionGUI());
			}
			thisLayout.setVerticalGroup(thisLayout.createSequentialGroup()
				.addContainerGap(21, 21)
				.addComponent(jTabbedPane1, 0, 326, Short.MAX_VALUE)
				.addPreferredGap(LayoutStyle.ComponentPlacement.RELATED)
				.addGroup(thisLayout.createParallelGroup(GroupLayout.Alignment.BASELINE)
				    .addComponent(CancelButton, GroupLayout.Alignment.BASELINE, GroupLayout.PREFERRED_SIZE, GroupLayout.PREFERRED_SIZE, GroupLayout.PREFERRED_SIZE)
				    .addComponent(OkButton, GroupLayout.Alignment.BASELINE, GroupLayout.PREFERRED_SIZE, GroupLayout.PREFERRED_SIZE, GroupLayout.PREFERRED_SIZE)));
			thisLayout.setHorizontalGroup(thisLayout.createSequentialGroup()
				.addContainerGap()
				.addGroup(thisLayout.createParallelGroup()
				    .addComponent(jTabbedPane1, GroupLayout.Alignment.LEADING, 0, 688, Short.MAX_VALUE)
				    .addGroup(GroupLayout.Alignment.LEADING, thisLayout.createSequentialGroup()
				        .addGap(416)
				        .addComponent(CancelButton, GroupLayout.PREFERRED_SIZE, 97, GroupLayout.PREFERRED_SIZE)
				        .addPreferredGap(LayoutStyle.ComponentPlacement.RELATED)
				        .addComponent(OkButton, GroupLayout.PREFERRED_SIZE, 97, GroupLayout.PREFERRED_SIZE)
				        .addGap(0, 72, Short.MAX_VALUE)))
				.addContainerGap());
			thisLayout.linkSize(SwingConstants.VERTICAL, new Component[] {OkButton, CancelButton});
			thisLayout.linkSize(SwingConstants.HORIZONTAL, new Component[] {OkButton, CancelButton});
			pack();
			this.setSize(700, 432);
			pack();
			pack();
			pack();
			pack();
			pack();
			pack();
			pack();
			pack();
			pack();
			pack();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	public JPanel getDataPreparation() {
		return dataPreparation;
	}
	
	public JPanel getTaskSelection() {
		return taskSelection;
	}
	
	public JPanel getTaskExecution() {
		return taskExecution;
	}
	
	public JPanel getTaskExecutionx() {
		return taskExecution;
	}
	
	public JPanel getResultPublishing() {
		return resultPublishing;
	}
	
	public JTextField getUsername() {
		return username;
	}
	

	public JTextField getResearchDomain() {
		return researchDomain;
	}
	
	public JTextField getResearchGroup() {
		return researchGroup;
	}
	
	private AbstractAction getAboutAction() {
		if(aboutAction == null) {
			aboutAction = new AbstractAction("About", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog1().pack();
					getJDialog1().setLocationRelativeTo(null);
					getJDialog1().setVisible(true);
				}
			};
		}
		return aboutAction;
	}
	
	public JMenuBar getJMenuBar1() {
		return jMenuBar1;
	}
	
	private JMenu getJMenu1() {
		if(jMenu1 == null) {
			jMenu1 = new JMenu();
			jMenu1.setText("File");
			jMenu1.add(getJMenuItem3());
			jMenu1.add(getJMenuItem4());
			jMenu1.add(getJMenuItem5());
		}
		return jMenu1;
	}
	
	public JMenu getJMenu2() {
		if(jMenu2 == null) {
			jMenu2 = new JMenu();
			jMenu2.setText("Help");
			jMenu2.add(getJMenuItem1());
			jMenu2.add(getJMenuItem2());
		}
		return jMenu2;
	}
	
	private JMenuItem getJMenuItem1() {
		if(jMenuItem1 == null) {
			jMenuItem1 = new JMenuItem();
			jMenuItem1.setText("jMenuItem1");
			jMenuItem1.setAction(getAboutAction());
		}
		return jMenuItem1;
	}
	
	public AbstractAction getAboutActionx() {
		if(aboutAction == null) {
			aboutAction = new AbstractAction("About", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog1().pack();
					getJDialog1().setLocationRelativeTo(null);
					getJDialog1().setVisible(true);
				}
			};
			aboutAction.putValue(javax.swing.Action.ACCELERATOR_KEY, KeyStroke.getKeyStroke("shift ctrl meta pressed A"));
		}
		return aboutAction;
	}
	
	public JDialog getJDialog1() {
		if(jDialog1 == null) {
			jDialog1 = new JDialog(this);
			GroupLayout jDialog1Layout = new GroupLayout((JComponent)jDialog1.getContentPane());
			jDialog1.getContentPane().setLayout(jDialog1Layout);
			jDialog1.setTitle("jSpace v1.0");
			jDialog1.setSize(302, 163);
			jDialog1Layout.setHorizontalGroup(jDialog1Layout.createSequentialGroup()
				.addContainerGap(12, 12)
				.addGroup(jDialog1Layout.createParallelGroup()
				    .addGroup(GroupLayout.Alignment.LEADING, jDialog1Layout.createSequentialGroup()
				        .addComponent(getJLabel1(), 0, 278, Short.MAX_VALUE)
				        .addGap(6))
				    .addGroup(GroupLayout.Alignment.LEADING, jDialog1Layout.createSequentialGroup()
				        .addGap(0, 209, Short.MAX_VALUE)
				        .addComponent(getJButton1(), GroupLayout.PREFERRED_SIZE, GroupLayout.PREFERRED_SIZE, GroupLayout.PREFERRED_SIZE)))
				.addContainerGap());
			jDialog1Layout.setVerticalGroup(jDialog1Layout.createSequentialGroup()
				.addContainerGap()
				.addComponent(getJLabel1(), 0, GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
				.addPreferredGap(LayoutStyle.ComponentPlacement.RELATED)
				.addComponent(getJButton1(), GroupLayout.PREFERRED_SIZE, GroupLayout.PREFERRED_SIZE, GroupLayout.PREFERRED_SIZE)
				.addContainerGap());
		}
		return jDialog1;
	}
	
	public JButton getJButton1() {
		if(jButton1 == null) {
			jButton1 = new JButton();
			jButton1.setText("OK");
			jButton1.setAction(getCloseActionAbout());
		}
		return jButton1;
	}
	
	public JLabel getJLabel1() {
		if(jLabel1 == null) {
			jLabel1 = new JLabel();
			jLabel1.setText("<html><body>This is the first version of <br>jSpace - A scientific dataspace-based support platform for Breath Gas Analysis Applications. Be sure to get the latest version <a href='www.gridminer.org'>online</a>.</body></html>");
			jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
			jLabel1.setAutoscrolls(true);
		}
		return jLabel1;
	}
	
	private AbstractAction getCloseActionAbout() {
		if(closeActionAbout == null) {
			closeActionAbout = new AbstractAction("OK", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog1().dispose();
				}
			};
		}
		return closeActionAbout;
	}
	
	public JLabel getDataPreparationLabel1() {
		if(dataPreparationLabel1 == null) {
			dataPreparationLabel1 = new JLabel();
			dataPreparationLabel1.setText("Select the prepared final input dataset:");
			dataPreparationLabel1.setBounds(30, 38, 286, 16);
		}
		return dataPreparationLabel1;
	}
	
	public JTextField getDataPreparationFIDS_URI() {
		if(dataPreparationFIDS_URI == null) {
			dataPreparationFIDS_URI = new JTextField();
			dataPreparationFIDS_URI.setText(FIDSname);

			dataPreparationFIDS_URI.setBounds(36, 59, 485, 28);
		}
		return dataPreparationFIDS_URI;
	}
	
	public JButton getDPjButton2() {
		if(DPjButton2 == null) {
			DPjButton2 = new JButton();
			DPjButton2.setText("browse");
			DPjButton2.setAction(getBrowseAction1());
			DPjButton2.setBounds(542, 59, 89, 29);
		}
		return DPjButton2;
	}
	
	public AbstractAction getBrowseAction1() {
		if(browseAction1 == null) {
			browseAction1 = new AbstractAction("browse", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog2browse().pack();
					getJDialog2browse().setLocationRelativeTo(null);
					getJDialog2browse().setVisible(true);
				}
			};
		}
		return browseAction1;
	}
	
	public JDialog getJDialog2browse() {
		if(jDialog2browse == null) {
			jDialog2browse = new JDialog(this);
			jDialog2browse.getContentPane().add(getJFileChooser1(), BorderLayout.CENTER);
		}
		return jDialog2browse;
	}
	
	public JFileChooser getJFileChooser1() {
		if(jFileChooser1 == null) {
			jFileChooser1 = new JFileChooser();
			jFileChooser1.setPreferredSize(new java.awt.Dimension(528, 388));
			jFileChooser1.setDialogTitle("Selecte prepared final input dataset");
			jFileChooser1.setMultiSelectionEnabled(true);
			jFileChooser1.setFileSelectionMode(1);

			FIDS = jFileChooser1.getSelectedFile();
			
			FIDSname = jFileChooser1.getName(jFileChooser1.getSelectedFile());
			
			//jFileChooser1.cancelSelection();
			
			
		}
		return jFileChooser1;
	}
	
	public AbstractAction getCloseBrowseAction() {
		if(closeBrowseAction == null) {
			closeBrowseAction = new AbstractAction("Cancel", null) {
				public void actionPerformed(ActionEvent evt) {
				}
			};
		}
		return closeBrowseAction;
	}
	
	private JLabel getJLabel2() {
		if(jLabel2 == null) {
			jLabel2 = new JLabel();
			jLabel2.setText("Provide a brief description of the final input data set:");
			jLabel2.setBounds(30, 91, 333, 16);
		}
		return jLabel2;
	}
	
	public JTextArea getJTextArea1_FIDS() {
		if(jTextArea1_FIDS == null) {
			jTextArea1_FIDS = new JTextArea();
			jTextArea1_FIDS.setBounds(36, 112, 595, 107);
		}
		return jTextArea1_FIDS;
	}
	
	private JLabel getJLabel3_DPKeywords() {
		if(jLabel3_DPKeywords == null) {
			jLabel3_DPKeywords = new JLabel();
			jLabel3_DPKeywords.setText("Enter at least three keywords that match the above description (separated by semicolon):");
			jLabel3_DPKeywords.setBounds(30, 231, 591, 16);
		}
		return jLabel3_DPKeywords;
	}
	
	private JTextField getJTextField1_DPKeywords() {
		if(jTextField1_DPKeywords == null) {
			jTextField1_DPKeywords = new JTextField();
			jTextField1_DPKeywords.setText("keyword1; keyword2; keyword3");
			jTextField1_DPKeywords.setBounds(36, 252, 595, 28);
		}
		return jTextField1_DPKeywords;
	}
	
	private JLabel getJLabel3_TS() {
		if(jLabel3_TS == null) {
			jLabel3_TS = new JLabel();
			jLabel3_TS.setText("Select the zip file containing the Matlab functions used in the experiment:");
			jLabel3_TS.setBounds(30, 38, 524, 16);
		}
		return jLabel3_TS;
	}
	
	public JTextField getJTextField1_TSURI() {
		if(jTextField1_TSURI == null) {
			jTextField1_TSURI = new JTextField();
			jTextField1_TSURI.setBounds(36, 59, 485, 28);
		}
		return jTextField1_TSURI;
	}
	
	private JButton getJButton2() {
		if(jButton2 == null) {
			jButton2 = new JButton();
			jButton2.setText("browse");
			jButton2.setAction(getBrowseAction1());
			jButton2.setBounds(542, 59, 89, 29);
		}
		return jButton2;
	}
	
	private JLabel getJLabel3_TS_description() {
		if(jLabel3_TS_description == null) {
			jLabel3_TS_description = new JLabel();
			jLabel3_TS_description.setText("Provide a brief description about the MATLAB functions used:");
			jLabel3_TS_description.setBounds(30, 91, 396, 16);
		}
		return jLabel3_TS_description;
	}
	
	public JTextArea getJTextArea1_TSDescription() {
		if(jTextArea1_TSDescription == null) {
			jTextArea1_TSDescription = new JTextArea();
			jTextArea1_TSDescription.setBounds(36, 112, 595, 107);
		}
		return jTextArea1_TSDescription;
	}
	
	private JLabel getJLabel3_TSKeywords() {
		if(jLabel3_TSKeywords == null) {
			jLabel3_TSKeywords = new JLabel();
			jLabel3_TSKeywords.setText("Enter at least three keywords that match the above description (separated by semicolon):");
			jLabel3_TSKeywords.setBounds(30, 231, 591, 16);
		}
		return jLabel3_TSKeywords;
	}
	
	public JTextField getJTextField1_TSKeywords() {
		if(jTextField1_TSKeywords == null) {
			jTextField1_TSKeywords = new JTextField();
			jTextField1_TSKeywords.setText("keyword1; keyword2; keyword3");
			jTextField1_TSKeywords.setBounds(36, 252, 595, 28);
		}
		return jTextField1_TSKeywords;
	}
	
	private JLabel getJLabel3_GSGoal() {
		if(jLabel3_GSGoal == null) {
			jLabel3_GSGoal = new JLabel();
			jLabel3_GSGoal.setText("Provide a textual summary of the goals you like to achieve with this study:");
			jLabel3_GSGoal.setBounds(30, 42, 564, 16);
		}
		return jLabel3_GSGoal;
	}
	
	public JTextArea getJTextArea1_DPGoal() {
		if(jTextArea1_DPGoal == null) {
			jTextArea1_DPGoal = new JTextArea();
			jTextArea1_DPGoal.setBounds(36, 63, 595, 158);
		}
		return jTextArea1_DPGoal;
	}
	
	public JLabel getJLabel3_GSKeywords() {
		if(jLabel3_GSKeywords == null) {
			jLabel3_GSKeywords = new JLabel();
			jLabel3_GSKeywords.setText("Enter at least three keywords, that match the goals of your study (separated by semicolon):");
			jLabel3_GSKeywords.setBounds(30, 233, 577, 16);
		}
		return jLabel3_GSKeywords;
	}
	
	public JTextField getJTextField1_GSKeywords() {
		if(jTextField1_GSKeywords == null) {
			jTextField1_GSKeywords = new JTextField();
			jTextField1_GSKeywords.setText("keyword1; keyword2; keyword3");
			jTextField1_GSKeywords.setBounds(36, 253, 595, 27);
		}
		return jTextField1_GSKeywords;
	}
	
	private JLabel getJLabel3_GSNameofStudy() {
		if(jLabel3_GSNameofStudy == null) {
			jLabel3_GSNameofStudy = new JLabel();
			jLabel3_GSNameofStudy.setText("Name of the study:");
			jLabel3_GSNameofStudy.setBounds(30, 11, 139, 16);
		}
		return jLabel3_GSNameofStudy;
	}
	
	public JTextField getJTextField1_GSNameOfStudy() {
		if(jTextField1_GSNameOfStudy == null) {
			jTextField1_GSNameOfStudy = new JTextField();
			jTextField1_GSNameOfStudy.setBounds(179, 5, 452, 28);
		}
		return jTextField1_GSNameOfStudy;
	}
	
	private JLabel getJLabel3_TEReportPath() {
		if(jLabel3_TEReportPath == null) {
			jLabel3_TEReportPath = new JLabel();
			jLabel3_TEReportPath.setText("Select the archive file containing the published MATLAB project:");
			jLabel3_TEReportPath.setBounds(30, 38, 524, 16);
		}
		return jLabel3_TEReportPath;
	}
	
	public JTextField getJTextField1_TEPathToPublishedResults() {
		if(jTextField1_TEPathToPublishedResults == null) {
			jTextField1_TEPathToPublishedResults = new JTextField();
			jTextField1_TEPathToPublishedResults.setBounds(36, 59, 485, 28);
		}
		return jTextField1_TEPathToPublishedResults;
	}
	
	private JButton getJButton3() {
		if(jButton3 == null) {
			jButton3 = new JButton();
			jButton3.setText("browse");
			jButton3.setAction(getBrowseAction1());
			jButton3.setBounds(542, 59, 89, 29);
		}
		return jButton3;
	}
	
	public JLabel getJLabel3_TEDescription() {
		if(jLabel3_TEDescription == null) {
			jLabel3_TEDescription = new JLabel();
			jLabel3_TEDescription.setText("Provide a brief description about the experiment execution:");
			jLabel3_TEDescription.setBounds(30, 91, 396, 16);
		}
		return jLabel3_TEDescription;
	}
	
	public JTextArea getJTextArea1_TEDescription() {
		if(jTextArea1_TEDescription == null) {
			jTextArea1_TEDescription = new JTextArea();
			jTextArea1_TEDescription.setBounds(36, 112, 595, 107);
		}
		return jTextArea1_TEDescription;
	}
	
	private JLabel getJLabel3_TEKeywords() {
		if(jLabel3_TEKeywords == null) {
			jLabel3_TEKeywords = new JLabel();
			jLabel3_TEKeywords.setText("Enter at least three keywords that match the above description (separated by semicolon):");
			jLabel3_TEKeywords.setBounds(30, 231, 591, 16);
		}
		return jLabel3_TEKeywords;
	}
	
	public JTextField getJTextField1_TEKeywords() {
		if(jTextField1_TEKeywords == null) {
			jTextField1_TEKeywords = new JTextField();
			jTextField1_TEKeywords.setText("keyword1; keyword2; keyword3");
			jTextField1_TEKeywords.setBounds(36, 252, 595, 28);
		}
		return jTextField1_TEKeywords;
	}
	
	private JLabel getJLabel3_RP() {
		if(jLabel3_RP == null) {
			jLabel3_RP = new JLabel();
			jLabel3_RP.setText("Choose a publication mode:");
			jLabel3_RP.setBounds(30, 11, 215, 16);
		}
		return jLabel3_RP;
	}

	private JLabel getJLabel3_RPPublication() {
		if(jLabel3_RPPublication == null) {
			jLabel3_RPPublication = new JLabel();
			jLabel3_RPPublication.setText("Enter the URL of the corresponding manuscript/publication:");
			jLabel3_RPPublication.setPreferredSize(new java.awt.Dimension(569, 16));
			jLabel3_RPPublication.setBounds(30, 38, 524, 16);
		}
		return jLabel3_RPPublication;
	}
	
	public JTextField getJTextField1_PRPublicationURL() {
		if(jTextField1_PRPublicationURL == null) {
			jTextField1_PRPublicationURL = new JTextField();
			jTextField1_PRPublicationURL.setBounds(36, 59, 595, 28);
		}
		return jTextField1_PRPublicationURL;
	}
	
	private JLabel getJLabel3_RPAnnotation() {
		if(jLabel3_RPAnnotation == null) {
			jLabel3_RPAnnotation = new JLabel();
			jLabel3_RPAnnotation.setText("Here you can optionally enter additional information or annotate the study:");
			jLabel3_RPAnnotation.setBounds(30, 91, 514, 16);
		}
		return jLabel3_RPAnnotation;
	}
	
	public JTextArea getJTextArea1_RPAnnotation() {
		if(jTextArea1_RPAnnotation == null) {
			jTextArea1_RPAnnotation = new JTextArea();
			jTextArea1_RPAnnotation.setBounds(36, 112, 595, 142);
		}
		return jTextArea1_RPAnnotation;
	}
	
	private JPanel getJPanel1_MetaInfo() {
		if(jPanel1_MetaInfo == null) {
	jPanel1_MetaInfo = new JPanel();
			jPanel1_MetaInfo.setLayout(null);
			{
				researchGroup = new JTextField();
				jPanel1_MetaInfo.add(researchGroup);
				goalSpecification.add(getJLabel3_GSNameofStudy());
				goalSpecification.add(getJTextField1_GSNameOfStudy());
				goalSpecification.add(getJLabel3_GSGoal());
				goalSpecification.add(getJTextArea1_DPGoal());
				goalSpecification.add(getJLabel3_GSKeywords());
				goalSpecification.add(getJTextField1_GSKeywords());
				researchGroup.setBounds(279, 157, 291, 27);
			}
			{
				researchDomain = new JTextField();
				jPanel1_MetaInfo.add(researchDomain);
				researchDomain.setBounds(279, 114, 291, 27);
			}
			{
				name = new JTextField();
				jPanel1_MetaInfo.add(name);
				name.setBounds(279, 70, 291, 27);
			}
			{
				username = new JTextField();
				jPanel1_MetaInfo.add(username);
				jPanel1_MetaInfo.add(getEmail());
				jPanel1_MetaInfo.add(getURL());
				{
					jLabel3 = new JLabel();
					jPanel1_MetaInfo.add(getUrl());
					jPanel1_MetaInfo.add(getResearchGroupLabel());
					jPanel1_MetaInfo.add(getResearchDomainLabel());
					jPanel1_MetaInfo.add(getFullNameLabel());
					jPanel1_MetaInfo.add(getUsernameLabel());
					jPanel1_MetaInfo.add(getEmailLabel());
					jLabel3.setText("email");
					jLabel3.setBounds(65, 230, 34, 16);
				}
				username.setBounds(279, 27, 291, 27);
			}
		}
		return jPanel1_MetaInfo;
	}
	
	public JMenuItem getJMenuItem2() {
		if(jMenuItem2 == null) {
			jMenuItem2 = new JMenuItem();
			jMenuItem2.setText("e-Science Life Cycle");
			jMenuItem2.setAction(getLifeScienceCycleAction());
		}
		return jMenuItem2;
	}
	
	private AbstractAction getLifeScienceCycleAction() {
		if(lifeScienceCycleAction == null) {
			lifeScienceCycleAction = new AbstractAction("lifeScienceCycle", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog2LifeScienceCycle().pack();
					getJDialog2LifeScienceCycle().setLocationRelativeTo(null);
					getJDialog2LifeScienceCycle().setVisible(true);
				}
			};
		}
		return lifeScienceCycleAction;
	}
	
	public JDialog getJDialog2LifeScienceCycle() {
		if(jDialog2LifeScienceCycle == null) {
			jDialog2LifeScienceCycle = new JDialog(this);
			jDialog2LifeScienceCycle.setTitle("The e-Science life[science]cycle");
			jDialog2LifeScienceCycle.setResizable(true);
			jDialog2LifeScienceCycle.getContentPane().add(getJLabel3_LifeScienceCycle(), BorderLayout.CENTER);
		}
		return jDialog2LifeScienceCycle;
	}
	
	public JLabel getJLabel3_LifeScienceCycle() {
		if(jLabel3_LifeScienceCycle == null) {
			jLabel3_LifeScienceCycle = new JLabel();
			//jLabel3_LifeScienceCycle.setText("Life[Science]Cycle");
			jLabel3_LifeScienceCycle.setHorizontalAlignment(SwingConstants.CENTER);
			jLabel3_LifeScienceCycle.setPreferredSize(new java.awt.Dimension(632, 486));
			jLabel3_LifeScienceCycle.setIcon(new ImageIcon("/lifecycle.gif"));
			//TODO ImageIcon doesen't appear in the GUI
		}
		return jLabel3_LifeScienceCycle;
	}

	public JTextField getEmail() {
		if(email == null) {
			email = new JTextField();
			email.setBounds(279, 245, 291, 27);
		}
		return email;
	}
	
	public JTextField getURL() {
		if(URL == null) {
			URL = new JTextField();
			URL.setBounds(279, 201, 291, 27);
		}
		return URL;
	}
	
	
	
	private JLabel getUrl() {
		if(url == null) {
			url = new JLabel();
			url.setText("url");
			url.setBounds(152, 197, 111, 33);
			url.setHorizontalAlignment(SwingConstants.RIGHT);
		}
		return url;
	}
	
	private JLabel getResearchGroupLabel() {
		if(researchGroupLabel == null) {
			researchGroupLabel = new JLabel();
			researchGroupLabel.setText("research group");
			researchGroupLabel.setBounds(152, 154, 111, 33);
			researchGroupLabel.setHorizontalAlignment(SwingConstants.RIGHT);
		}
		return researchGroupLabel;
	}
	
	private JLabel getResearchDomainLabel() {
		if(researchDomainLabel == null) {
			researchDomainLabel = new JLabel();
			researchDomainLabel.setText("research domain");
			researchDomainLabel.setBounds(152, 111, 111, 33);
			researchDomainLabel.setHorizontalAlignment(SwingConstants.RIGHT);
		}
		return researchDomainLabel;
	}
	
	private JLabel getFullNameLabel() {
		if(fullNameLabel == null) {
			fullNameLabel = new JLabel();
			fullNameLabel.setText("full name");
			fullNameLabel.setBounds(152, 67, 111, 33);
			fullNameLabel.setHorizontalAlignment(SwingConstants.RIGHT);
		}
		return fullNameLabel;
	}
	
	private JLabel getUsernameLabel() {
		if(usernameLabel == null) {
			usernameLabel = new JLabel();
			usernameLabel.setText("username");
			usernameLabel.setBounds(152, 25, 111, 33);
			usernameLabel.setHorizontalAlignment(SwingConstants.RIGHT);
		}
		return usernameLabel;
	}
	
	private JLabel getEmailLabel() {
		if(emailLabel == null) {
			emailLabel = new JLabel();
			emailLabel.setText("email");
			emailLabel.setBounds(152, 242, 111, 33);
			emailLabel.setHorizontalAlignment(SwingConstants.RIGHT);
		}
		return emailLabel;
	}
	
	private JLabel getFidsName() {
		if(fidsName == null) {
			fidsName = new JLabel();
			fidsName.setText("Dataset name:");
			fidsName.setBounds(30, 11, 90, 16);
		}
		return fidsName;
	}
	
	public JTextField getFIDS_name() {
		if(FIDS_name == null) {
			FIDS_name = new JTextField();
			FIDS_name.setBounds(131, 5, 500, 28);
		}
		return FIDS_name;
	}
	
	private JLabel getJLabel4_bgDatasetName() {
		if(jLabel4_bgDatasetName == null) {
			jLabel4_bgDatasetName = new JLabel();
			jLabel4_bgDatasetName.setText("Dataset name:");
			jLabel4_bgDatasetName.setBounds(30, 11, 90, 16);
		}
		return jLabel4_bgDatasetName;
	}
	
	public JTextField getJTextField1_bgDatasetName() {
		if(jTextField1_bgDatasetName == null) {
			jTextField1_bgDatasetName = new JTextField();
			jTextField1_bgDatasetName.setBounds(131, 5, 500, 28);
		}
		return jTextField1_bgDatasetName;
	}
	
	private JLabel getJLabel4_ddDatasetName() {
		if(jLabel4_ddDatasetName == null) {
			jLabel4_ddDatasetName = new JLabel();
			jLabel4_ddDatasetName.setText("Dataset name:");
			jLabel4_ddDatasetName.setBounds(30, 11, 90, 16);
		}
		return jLabel4_ddDatasetName;
	}
	
	public JTextField getJTextField1_ddDatasetName() {
		if(jTextField1_ddDatasetName == null) {
			jTextField1_ddDatasetName = new JTextField();
			jTextField1_ddDatasetName.setBounds(131, 5, 500, 28);
		}
		return jTextField1_ddDatasetName;
	}
	
	
	
	public JComboBox getJComboBox1_pubMode() {
		if(jComboBox1_pubMode == null) {
			ComboBoxModel jComboBox1_pubModeModel = 
				new DefaultComboBoxModel(
						new String[] { "Researcher", "Investigator" , "Project group" , "Project folks" , "Community"});
			jComboBox1_pubMode = new JComboBox();
			jComboBox1_pubMode.setModel(jComboBox1_pubModeModel);
			jComboBox1_pubMode.setBounds(224, 5, 135, 27);
		}
		return jComboBox1_pubMode;
	}
	
	public AbstractAction getAbstractAction1_OK() {
		if(abstractAction1_OK == null) {
			abstractAction1_OK = new AbstractAction("OK", null) {
				public void actionPerformed(ActionEvent evt) {
					System.out.println("here");
					
					//get all values from the fields

					//MetaInfo
					String fullName = name.getText();
					String userName = username.getText();
					String researchDomainText = researchDomain.getText();
					String researchGroupText = researchGroup.getText();
					String researchGroupURL = URL.getText();
					String emailText = email.getText();
					//GoalSpecification
					String goalSpecificationText = jTextArea1_DPGoal.getText();
					String gsKeywords = jTextField1_GSKeywords.getText();
					String studyName = jTextField1_GSNameOfStudy.getText();
					//DataProcessing
					String primaryDatasetRef = dataPreparationFIDS_URI.getText();
					String primaryDatasetName = FIDS_name.getText();
					String dataPreparationText = jTextArea1_FIDS.getText();
					String dpKeywords = jTextField1_DPKeywords.getText();
					//TaskSelection
					String backgroundDatasetRef = jTextField1_TSURI.getText();
					String backgroundDatasetName = jTextField1_bgDatasetName.getText();
					String taskSelectionText = jTextArea1_TSDescription.getText();
					String tsKeywords = jTextField1_TSKeywords.getText();
					//TaskExecution
					String derivedDatasetRef = jTextField1_TEPathToPublishedResults.getText(); 
					String derivedDatasetName = jTextField1_ddDatasetName.getText();
					String taskExecutionText = jTextArea1_TEDescription.getText();
					String teKeywords = jTextField1_TEKeywords.getText();
					//ResultProcessing
					String manuscriptURL = jTextField1_PRPublicationURL.getText();
					String publicationMode = (String) jComboBox1_pubMode.getSelectedItem();
					String annotation = jTextArea1_RPAnnotation.getText();
					
					
					//get the db settings from the gui File/Conf
					//first get the local db settings
					String[] localConf = new String[5];
					localConf[0] = jTextField1_l_dbUrl.getText();
					localConf[1] = jTextField1_l_dbUser.getText();
					localConf[2] = jTextField1_l_dbpasswd.getText();
					localConf[3] = jTextField1_l_db_type.getText();
					localConf[4] = jTextField1_l_db_driver.getText();
					          
					//then get the global db settings
					String[] globalConf = new String[5];
					globalConf[0] = jTextField1_g_dbUrl.getText();
					globalConf[1] = jTextField1_g_dbUser.getText();
					globalConf[2] = jTextField1_g_dbPasswd.getText();
					globalConf[3] = jTextField1_g_dbType.getText();
					globalConf[4] = jTextField1_g_dbDriver.getText();
					          
					//create the jSpaceConfig object
					jSpaceConfig conf = new jSpaceConfig(localConf, globalConf);
					
					
					//create an empty LifeCycleResoruce object (lcr) with the jSpaceConfig from the gui
					LifeCycleResource lcr = new LifeCycleResource("LCR", 234, conf);
					
					MetaInfo mi = new MetaInfo(	userName, 
												fullName, 
												researchDomainText, 
												researchGroupText, 
												researchGroupURL, 
												emailText
											  );
					lcr.addMetaInfo(mi);
					
					System.out.println(username.getText());
					
					System.out.println("username:" + userName);
					
					
//					String[] test = MyUtilities.splitString(gsKeywords);
//					for (int i = 0; i < test.length; i++)
//							System.out.println(test[i]);
					
					//create the e-science life cycle activities
					
					//create a GoalSpecification object (gs)
					GoalSpecification gs = new GoalSpecification(	goalSpecificationText, 
																	MyUtilities.splitString(gsKeywords), 
																	studyName
																);
					//attach gs to lcr
					lcr.addGoalSpecificationActivity(gs);
					
					//create a GoalSpecification object (dp)
					DataPreparation dp = new DataPreparation(	primaryDatasetRef, 
																primaryDatasetName, 
																dataPreparationText,
																MyUtilities.splitString(dpKeywords)
															);
					//attach dp to lcr
					lcr.addDataPreparationActivity(dp);
					
					//create a TaskSelection object (ts)
					TaskSelection ts = new TaskSelection(	backgroundDatasetRef,
															backgroundDatasetName,
															taskSelectionText,
															MyUtilities.splitString(tsKeywords)
														);
					
					//attach ts to lcr
					lcr.addTaskSelectionActivity(ts);

					//create a TaskExecution object (te)
					TaskExecution te = new TaskExecution(	derivedDatasetRef,
															derivedDatasetName,
															taskExecutionText,
															MyUtilities.splitString(teKeywords)
														);

					//attach te to lcr
					lcr.addTaskExecutionActivity(te);
					
					//create a Publication Mode
					PublicationMode pubMode = new PublicationMode(publicationMode);
					
					//create a ResultsProcessing object (rp)
					ResultsProcessing rp = new ResultsProcessing(	manuscriptURL,
																	annotation, 
																	pubMode
																);
					
					//attach rp to lcr
					lcr.addResultsProcessingActivity(rp);
					
					
					
					
					
					
					
					
					//test the XML export function 
										
					String fileName = "LCR" + lcr.getLCRID() + ".xml";
					File testFile = new File(fileName);
					testFile.delete();
					
					//write the LifeCycleResource Object to an XML file (fileName)
					MyUtilities.saveMyLifeCycleResourceToXMLFile(fileName, lcr);
					
					//create a test LifeCycleResoruce
					LifeCycleResource lcr2 = MyUtilities.getLifeCycleFromXMLFile(fileName);
					
					System.out.println(lcr2.getLCRName() + " " + lcr2.getLCRID());
					
					
					System.out.println(lcr.getConfiguration().getGobalConf().toString());
					
					
				}
			};
		}
		return abstractAction1_OK;
	}
	
	private JMenuItem getJMenuItem3() {
		if(jMenuItem3 == null) {
			jMenuItem3 = new JMenuItem();
			jMenuItem3.setText("jMenuItem3");
			jMenuItem3.setAction(getConfigAction());
		}
		return jMenuItem3;
	}
	
	public AbstractAction getConfigAction() {
		if(configAction == null) {
			configAction = new AbstractAction("Config", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog2Config().pack();
					getJDialog2Config().setLocationRelativeTo(null);
					getJDialog2Config().setVisible(true);
				}
			};
		}
		return configAction;
	}
	
	public JDialog getJDialog2Config() {
		if(jDialog2Config == null) {
			jDialog2Config = new JDialog(this);
			GroupLayout jDialog2ConfigLayout = new GroupLayout((JComponent)jDialog2Config.getContentPane());
			jDialog2Config.getContentPane().setLayout(jDialog2ConfigLayout);
			jDialog2Config.setTitle("jSpace Configuration Editor");
			jDialog2ConfigLayout.setHorizontalGroup(jDialog2ConfigLayout.createSequentialGroup()
				.addContainerGap(15, 15)
				.addComponent(getJTabbedPane2(), 0, 501, Short.MAX_VALUE)
				.addContainerGap(20, 20));
			jDialog2ConfigLayout.setVerticalGroup(jDialog2ConfigLayout.createSequentialGroup()
				.addContainerGap(29, 29)
				.addComponent(getJTabbedPane2(), 0, 279, Short.MAX_VALUE)
				.addContainerGap(36, 36));
		}
		return jDialog2Config;
	}
	
	private JTabbedPane getJTabbedPane2() {
		if(jTabbedPane2 == null) {
			jTabbedPane2 = new JTabbedPane();
			jTabbedPane2.setAutoscrolls(true);
			jTabbedPane2.addTab("Local Dataspace Settings", null, getJPanel1_localSettings(), null);
			jTabbedPane2.addTab("Global Dataspace Settings", null, getJPanel1_GlobalSettings(), null);
		}
		return jTabbedPane2;
	}
	
	public JPanel getJPanel1_localSettings() {
		if(jPanel1_localSettings == null) {
			jPanel1_localSettings = new JPanel();
			jPanel1_localSettings.setPreferredSize(new java.awt.Dimension(480, 261));
			jPanel1_localSettings.setAutoscrolls(true);
			jPanel1_localSettings.add(getJPanel1_localRDFStoreSettings());
			jPanel1_localSettings.add(getJPanel1_localPDBSettings());
		}
		return jPanel1_localSettings;
	}
	
	public JPanel getJPanel1_GlobalSettings() {
		if(jPanel1_GlobalSettings == null) {
			jPanel1_GlobalSettings = new JPanel();
			jPanel1_GlobalSettings.add(getJPanel1_globalRDFStoreSettings());
		}
		return jPanel1_GlobalSettings;
	}
	
	public JPanel getJPanel1_localRDFStoreSettings() {
		if(jPanel1_localRDFStoreSettings == null) {
			jPanel1_localRDFStoreSettings = new JPanel();
			jPanel1_localRDFStoreSettings.setPreferredSize(new java.awt.Dimension(480, 199));
			jPanel1_localRDFStoreSettings.setBorder(BorderFactory.createTitledBorder("Local RDF Store"));
			jPanel1_localRDFStoreSettings.setLayout(null);
			jPanel1_localRDFStoreSettings.add(getJTextField1_l_dbUrl());
			jPanel1_localRDFStoreSettings.add(getJTextField1_l_dbUser());
			jPanel1_localRDFStoreSettings.add(getJTextField1_l_dbpasswd());
			jPanel1_localRDFStoreSettings.add(getJTextField1_l_db_type());
			jPanel1_localRDFStoreSettings.add(getJTextField1_l_db_driver());
		}
		return jPanel1_localRDFStoreSettings;
	}
	
	public JPanel getJPanel1_localPDBSettings() {
		if(jPanel1_localPDBSettings == null) {
			jPanel1_localPDBSettings = new JPanel();
			jPanel1_localPDBSettings.setPreferredSize(new java.awt.Dimension(480, 122));
			jPanel1_localPDBSettings.setBorder(BorderFactory.createTitledBorder("Local Primary Database Settings"));
		}
		return jPanel1_localPDBSettings;
	}

	public JTextField getL_dbUser() {
		if(l_dbUser == null) {
			l_dbUser = new JTextField();
			l_dbUser.setBounds(176, 60, 273, 28);
		}
			return l_dbUser;
	}
	
	private JLabel getL_dbPASSWD_Label() {
		if(l_dbPASSWD_Label == null) {
			l_dbPASSWD_Label = new JLabel();
			l_dbPASSWD_Label.setText("DB password:");
			l_dbPASSWD_Label.setBounds(34, 99, 136, 16);
			l_dbPASSWD_Label.setHorizontalAlignment(SwingConstants.RIGHT);
		}
		return l_dbPASSWD_Label;
	}
	
	public JTextField getL_dbPASSWD() {
		if(l_dbPASSWD == null) {
			l_dbPASSWD = new JTextField();
			l_dbPASSWD.setBounds(176, 93, 273, 28);
		}
			return l_dbPASSWD;
	}
	
	private JLabel getL_dbTYPE_Label() {
		if(l_dbTYPE_Label == null) {
			l_dbTYPE_Label = new JLabel();
			l_dbTYPE_Label.setText("DB type:");
			l_dbTYPE_Label.setBounds(34, 132, 136, 16);
			l_dbTYPE_Label.setHorizontalAlignment(SwingConstants.RIGHT);
		}
		return l_dbTYPE_Label;
	}
	
	public JTextField getL_dbTYPE() {
		if(l_dbTYPE == null) {
			l_dbTYPE = new JTextField();
			l_dbTYPE.setBounds(176, 126, 273, 28);
		}
			return l_dbTYPE;
	}
	
	private JLabel getL_dbDRIVER_Label() {
		if(l_dbDRIVER_Label == null) {
			l_dbDRIVER_Label = new JLabel();
			l_dbDRIVER_Label.setText("DB Driver:");
			l_dbDRIVER_Label.setBounds(34, 165, 136, 16);
			l_dbDRIVER_Label.setHorizontalAlignment(SwingConstants.RIGHT);
		}
		return l_dbDRIVER_Label;
	}
	
	public JTextField getJTextField1_l_dbUrl() {
		if(jTextField1_l_dbUrl == null) {
			jTextField1_l_dbUrl = new JTextField();
			jTextField1_l_dbUrl.setText("jdbc:mysql://localhost:3306/jenatest");
			jTextField1_l_dbUrl.setBounds(162, 18, 306, 28);
		}
		return jTextField1_l_dbUrl;
	}
	
	public JTextField getJTextField1_l_dbUser() {
		if(jTextField1_l_dbUser == null) {
			jTextField1_l_dbUser = new JTextField();
			jTextField1_l_dbUser.setText("root");
			jTextField1_l_dbUser.setBounds(162, 52, 229, 28);
		}
		return jTextField1_l_dbUser;
	}
	
	public JTextField getJTextField1_l_dbpasswd() {
		if(jTextField1_l_dbpasswd == null) {
			jTextField1_l_dbpasswd = new JTextField();
			jTextField1_l_dbpasswd.setText("mbookdbrp56");
			jTextField1_l_dbpasswd.setBounds(162, 86, 229, 28);
		}
		return jTextField1_l_dbpasswd;
	}
	
	public JTextField getJTextField1_l_db_type() {
		if(jTextField1_l_db_type == null) {
			jTextField1_l_db_type = new JTextField();
			jTextField1_l_db_type.setText("MySQL");
			jTextField1_l_db_type.setBounds(162, 120, 229, 28);
		}
		return jTextField1_l_db_type;
	}
	
	public JTextField getJTextField1_l_db_driver() {
		if(jTextField1_l_db_driver == null) {
			jTextField1_l_db_driver = new JTextField();
			jTextField1_l_db_driver.setText("com.mysql.jdbc.Driver");
			jTextField1_l_db_driver.setBounds(162, 154, 229, 28);
		}
		return jTextField1_l_db_driver;
	}
	
	private JPanel getJPanel1_globalRDFStoreSettings() {
		if(jPanel1_globalRDFStoreSettings == null) {
			jPanel1_globalRDFStoreSettings = new JPanel();
			jPanel1_globalRDFStoreSettings.setPreferredSize(new java.awt.Dimension(480, 199));
			jPanel1_globalRDFStoreSettings.setBorder(BorderFactory.createTitledBorder("Global RDF Store"));
			jPanel1_globalRDFStoreSettings.setLayout(null);
			jPanel1_globalRDFStoreSettings.add(getJTextField1_g_dbUrl());
			jPanel1_globalRDFStoreSettings.add(getJTextField1_g_dbUser());
			jPanel1_globalRDFStoreSettings.add(getJTextField1_g_dbPasswd());
			jPanel1_globalRDFStoreSettings.add(getJTextField1_g_dbType());
			jPanel1_globalRDFStoreSettings.add(getJTextField1_g_dbDriver());
		}
		return jPanel1_globalRDFStoreSettings;
	}
	
	public JTextField getJTextField1_g_dbUrl() {
		if(jTextField1_g_dbUrl == null) {
			jTextField1_g_dbUrl = new JTextField();
			jTextField1_g_dbUrl.setText("jdbc:postgresql://localhost:5444/jenatest");
			jTextField1_g_dbUrl.setBounds(162, 18, 306, 28);
		}
		return jTextField1_g_dbUrl;
	}
	
	public JTextField getJTextField1_g_dbUser() {
		if(jTextField1_g_dbUser == null) {
			jTextField1_g_dbUser = new JTextField();
			jTextField1_g_dbUser.setText("enterprisedb");
			jTextField1_g_dbUser.setBounds(162, 52, 229, 28);
		}
		return jTextField1_g_dbUser;
	}
	
	public JTextField getJTextField1_g_dbPasswd() {
		if(jTextField1_g_dbPasswd == null) {
			jTextField1_g_dbPasswd = new JTextField();
			jTextField1_g_dbPasswd.setText("dbpw");
			jTextField1_g_dbPasswd.setBounds(162, 86, 229, 28);
		}
		return jTextField1_g_dbPasswd;
	}
	
	public JTextField getJTextField1_g_dbType() {
		if(jTextField1_g_dbType == null) {
			jTextField1_g_dbType = new JTextField();
			jTextField1_g_dbType.setText("enterprisedb");
			jTextField1_g_dbType.setBounds(162, 120, 229, 28);
		}
		return jTextField1_g_dbType;
	}
	
	public JTextField getJTextField1_g_dbDriver() {
		if(jTextField1_g_dbDriver == null) {
			jTextField1_g_dbDriver = new JTextField();
			jTextField1_g_dbDriver.setText("org.postgresql.Driver");
			jTextField1_g_dbDriver.setBounds(162, 154, 229, 28);
		}
		return jTextField1_g_dbDriver;
	}
	
	private JMenuItem getJMenuItem4() {
		if(jMenuItem4 == null) {
			jMenuItem4 = new JMenuItem();
			jMenuItem4.setText("jMenuItem4");
			jMenuItem4.setAction(getExportAction1());
		}
		return jMenuItem4;
	}
	
	public AbstractAction getExportAction1() {
		if(ExportAction1 == null) {
			ExportAction1 = new AbstractAction("Export", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog2Export().pack();
					getJDialog2Export().setLocationRelativeTo(null);
					getJDialog2Export().setVisible(true);
					
				}
			};
		}
		return ExportAction1;
	}
	
	public JDialog getJDialog2Export() {
		if(jDialog2Export == null) {
			jDialog2Export = new JDialog(this);
			jDialog2Export.getContentPane().add(getJPanel1Export(), BorderLayout.CENTER);
		}
		return jDialog2Export;
	}
	
	public JPanel getJPanel1Export() {
		if(jPanel1Export == null) {
			jPanel1Export = new JPanel();
			jPanel1Export.setBorder(BorderFactory.createTitledBorder("Export Life Cycle Resource"));
			jPanel1Export.setPreferredSize(new java.awt.Dimension(403, 139));
			jPanel1Export.add(getJButton4Export());
		}
		return jPanel1Export;
	}
	
	private JMenuItem getJMenuItem5() {
		if(jMenuItem5 == null) {
			jMenuItem5 = new JMenuItem();
			jMenuItem5.setText("jMenuItem5");
			jMenuItem5.setAction(getImportAction1());
		}
		return jMenuItem5;
	}
	
	public AbstractAction getImportAction1() {
		if(ImportAction1 == null) {
			ImportAction1 = new AbstractAction("Import/Load", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog2Import().pack();
					getJDialog2Import().setLocationRelativeTo(null);
					getJDialog2Import().setVisible(true);
				}
			};
		}
		return ImportAction1;
	}
	
	public JDialog getJDialog2Import() {
		if(jDialog2Import == null) {
			jDialog2Import = new JDialog(this);
			jDialog2Import.getContentPane().add(getJPanel1Import(), BorderLayout.CENTER);
		}
		return jDialog2Import;
	}
	
	public JPanel getJPanel1Import() {
		if(jPanel1Import == null) {
			jPanel1Import = new JPanel();
			jPanel1Import.setBorder(BorderFactory.createTitledBorder("Import Life Cycle Resource"));
			jPanel1Import.setPreferredSize(new java.awt.Dimension(338, 151));
			jPanel1Import.add(getJButton4ImportOK());
		}
		return jPanel1Import;
	}
	
	public JButton getJButton4ImportOK() {
		if(jButton4ImportOK == null) {
			jButton4ImportOK = new JButton();
			jButton4ImportOK.setText("OK");
			jButton4ImportOK.setAction(getOKActionImport());
		}
		return jButton4ImportOK;
	}
	
	public JButton getJButton4Export() {
		if(jButton4Export == null) {
			jButton4Export = new JButton();
			jButton4Export.setText("OK");
			jButton4Export.setAction(getOKActionExport());
		}
		return jButton4Export;
	}
	
	public AbstractAction getOKActionExport() {
		if(OKActionExport == null) {
			OKActionExport = new AbstractAction("OK", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog2Export().dispose();
					
				}
			};
		}
		return OKActionExport;
	}
	
	public AbstractAction getOKActionImport() {
		if(OKActionImport == null) {
			OKActionImport = new AbstractAction("OK", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog2Import().dispose();
				}
			};
		}
		return OKActionImport;
	}
	
	public AbstractAction getCancelActionGUI() {
		if(CancelActionGUI == null) {
			CancelActionGUI = new AbstractAction("Cancel", null) {
				public void actionPerformed(ActionEvent evt) {
					dispose();
				}
			};
		}
		return CancelActionGUI;
	}

}
