package org.gridminer.jspace.lifecycle.preserver;

import org.gridminer.jspace.manager.PersistentOntology;
import org.gridminer.jspace.queryProcessor.jSpaceQueryProcessor;

public class LCRPreserverTester {

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		//the XML file exported from the e-Science life cycle composer
		String filename = "Test2LCR234.xml";
		
		//create a LifeCycleResource object from the above file and hand it over to a new LCRPreserver object
		LCRPreserver preserver = new LCRPreserver(filename);
					
		//create a PersistentOntology object
		PersistentOntology po1 = new PersistentOntology();
		
		preserver.publishLCRLocal(po1);
		
		//for testing purposes 
	    //String testquery = "SELECT ?lifeCycle ?taskSelection ?scientist ?workflowName WHERE { ?lifeCycle owl:hasTaskSelection ?taskSelection. ?lifeCycle owl:isExecutedBy ?scientist. ?taskSelection owl:hasWorkflow ?workflow. ?workflow owl:workflowName ?workflowName. }" ;
	    //jSpaceQueryProcessor qp = new jSpaceQueryProcessor("SPARQL", preserver);
		//String queryString = qp.buildSparqlQuery(testquery);
		//qp.queryLocalRDFStore(po1, queryString);
		
	}

}
