package org.gridminer.jspace.queryProcessor;

public class jSpaceQueryProcessorTester {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		String DB_URL = "jdbc:mysql://localhost:3306/jenatest";
	    String DB_USER = "root";
	    String DB_PASSWD = "mbookdbrp56";
	    String DB_TYPE = "MySQL";
	    String DB_DRIVER = "com.mysql.jdbc.Driver";
		
		//String testquery = "SELECT ?lifeCycle ?taskSelection ?scientist ?workflowName WHERE { ?lifeCycle owl:hasTaskSelection ?taskSelection. ?lifeCycle owl:isExecutedBy ?scientist. ?taskSelection owl:hasWorkflow ?workflow. ?workflow owl:workflowName ?workflowName. }" ;
	    
		String query1 = 	"PREFIX owl: <http://localhost/LifeCycleOntology.owl#> SELECT ?lifeCycle " +
			"?goalSpecification ?dataPreparation ?taskSelection WHERE { ?lifeCycle " +
			"owl:hasGoalSpecification ?goalSpecification. ?lifeCycle " +
			"owl:hasTaskSelection ?taskSelection. ?lifeCycle owl:hasDataPreparation " +
			"?dataPreparation. }";
      
		String query2 = "PREFIX owl: <http://localhost/LifeCycleOntology.owl#> SELECT ?s ?p ?o WHERE { ?s ?p ?o }";

		String query3 = "PREFIX owl: <http://localhost/LifeCycleOntology.owl#> SELECT ?s ?p WHERE { ?s ?p owl:i.elsayed }";

		String query4 = "PREFIX owl: <http://localhost/LifeCycleOntology.owl#> SELECT ?lifeCycle ?goalSpecification ?p ?o WHERE { ?lifeCycle owl:hasGoalSpecification ?goalSpecification. ?lifeCycle ?p ?o. } ";
		
		String query5 = "PREFIX owl: <http://localhost/LifeCycleOntology.owl#> SELECT ?member ?p ?o WHERE { owl:researchGroup_1 owl:hasMembers ?member . ?member ?p ?o }";       

		jSpaceQueryProcessor jSQP = new jSpaceQueryProcessor(query2, "SPARQL", DB_URL, DB_USER, DB_PASSWD, DB_TYPE, DB_DRIVER);
		
		System.out.println("Query Local RDF Store @ " + jSQP.DB_URL);
		System.out.println();
	
		System.out.println(jSQP.queryLocalRDFStore("XML"));
		
		//jSQP.queryGlobalRDFStore("XML");
		
	}

}
