package org.gridminer.jspace.queryProcessor;
import com.cloudgarden.layout.AnchorConstraint;
import com.cloudgarden.layout.AnchorLayout;
import com.jgoodies.forms.layout.CellConstraints;
import com.jgoodies.forms.layout.FormLayout;
//import SortedListModel;

//import SortedListModel;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Desktop;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.io.File;
import java.io.IOException;
import java.util.Arrays;
import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;
import java.util.SortedSet;
import java.util.TreeSet;

import javax.swing.AbstractAction;
import javax.swing.AbstractListModel;
import javax.swing.BorderFactory;
import javax.swing.BoxLayout;
import javax.swing.ButtonGroup;
import javax.swing.ComboBoxModel;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JCheckBoxMenuItem;
import javax.swing.JComboBox;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.ListCellRenderer;
import javax.swing.ListModel;
import javax.swing.SwingConstants;

import javax.swing.WindowConstants;
import javax.swing.border.BevelBorder;
import javax.swing.border.LineBorder;
import javax.swing.border.SoftBevelBorder;
import net.miginfocom.swing.MigLayout;
import javax.swing.SwingUtilities;

import org.dbgrid.aderis.datasource.DataSource;
import org.gridminer.jspace.lifecycle.MyUtilities;
import org.gridminer.jspace.manager.PersistentOntology;


/**
* This code was edited or generated using CloudGarden's Jigloo
* SWT/Swing GUI Builder, which is free for non-commercial
* use. If Jigloo is being used commercially (ie, by a corporation,
* company or business for any purpose whatever) then you
* should purchase a license for each developer using Jigloo.
* Please visit www.cloudgarden.com for details.
* Use of Jigloo implies acceptance of these licensing terms.
* A COMMERCIAL LICENSE HAS NOT BEEN PURCHASED FOR
* THIS MACHINE, SO JIGLOO OR THIS CODE CANNOT BE USED
* LEGALLY FOR ANY CORPORATE OR COMMERCIAL PURPOSE.
*/
public class jSpaceQueryProcessorGUI extends javax.swing.JFrame {
	private JTabbedPane jTabbedPane1;
	private JTextArea jTextArea2;
	private JPanel jPanel12;
	private JCheckBox jCheckBox6;
	private JCheckBox jCheckBox5;
	private JPanel jPanel11;
	private JComboBox jComboBox3;
	private JPanel jPanel10;
	private JPanel jPanel9;
	private JButton jButton6;
	private JButton jButton5;
	private JPanel jPanel8;
	private AbstractAction ResetAction2;
	private JTextField jTextField2_g_ds3;
	private JLabel jLabel1;
	private JTextField jTextField2_g_ds2;
	private JLabel jLabel1_g_DS1;
	private JTextField jTextField2_g_ds1;
	private JLabel jLabel1_l_DB_DRIVER;
	private JLabel jLabel1_l_DB_PASSWD;
	private JLabel jLabel1_l_DB_TYPE;
	private JLabel jLabel1_l_DB_USER;
	private JLabel jLabel1_l_DB_URL;
	private JPanel jPanel13;
	private JPanel jPanel14;
	private AbstractAction ConfigAction;
	private AbstractAction closeConfigAction;
	private JButton jButton17;
	private JPanel jPanel1_globalRDFStoreSettings;
	private JPanel jPanel1_GlobalSettings;
	private JTextField jTextField1_l_db_driver;
	private JTextField jTextField1_l_db_type;
	private JTextField jTextField1_l_dbpasswd;
	private JTextField jTextField1_l_dbUser;
	private JTextField jTextField1_l_dbUrl;
	private JPanel jPanel1_localRDFStoreSettings;
	private JPanel jPanel1_localSettings;
	private JTabbedPane jTabbedPane2;
	private JDialog jDialog1;
	private JMenuItem FileMenuItem1;
	private AbstractAction SysEditorAction2;
	private JButton jButton16;
	private JMenuItem SettingsMenuItem2;
	private JMenuItem SettingsMenuItem1;
	private JMenu jMenu2;
	private AbstractAction ShowResultsAction2;
	private JButton jButton15;
	private AbstractAction Q8Action1;
	private JButton jButton14;
	private AbstractAction Q7Action1;
	private JButton jButton13;
	private AbstractAction Q6Action1;
	private JButton jButton12;
	private AbstractAction Q5Action1;
	private JButton jButton11;
	private AbstractAction abstractAction1;
	private AbstractAction Q4Action1;
	private AbstractAction Q3Action1;
	private AbstractAction Q2Action1;
	private AbstractAction Q1Action1;
	private JButton jButton8;
	private JButton jButton7;
	private JButton jButton2;
	private JButton jButton1;
	private JLabel jLabel2;
	private ButtonGroup buttonGroup1;
	private AbstractAction SearchAction1;
	private JButton jButton4;
	private JButton jButton3;
	private JCheckBox jCheckBox4;
	private AbstractAction FilterOFFAction;
	private AbstractAction FilterONAction;
	private JButton jButton10;
	private JButton jButton9;
	private JList jList2;
	private JList jList1;
	private JPanel jPanel7;
	private JPanel jPanel6;
	private JPanel jPanel5;
	private JPanel jPanel4;
	private JScrollPane jScrollPane1;
	private JTextArea jTextArea1;
	private JPanel jPanel1;
	private JCheckBox jCheckBox3;
	private JComboBox jComboBox2;
	private JTextField jTextField1;
	private AbstractAction ResetAction1;
	private AbstractAction submitAction1;
	private JMenu jMenu1;
	private JMenuBar jMenuBar1;
	private JPanel jPanel3;
	private JPanel jPanel2;
	
	private SortedListModel sourceListModel;
	private SortedListModel destListModel;
	
	public String queryResultFile;
	
	
	/**
	* Auto-generated main method to display this JFrame
	*/
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				jSpaceQueryProcessorGUI inst = new jSpaceQueryProcessorGUI();
				inst.setLocationRelativeTo(null);
				inst.setVisible(true);
				inst.setPreferredSize(new java.awt.Dimension(639, 395));
			}
		});
	}
	
	public jSpaceQueryProcessorGUI() {
		super();
		initGUI();
	}
	
	private void initGUI() {
		try {
			setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
			this.setTitle("jSpace Search&Query Panel");
			this.setPreferredSize(new java.awt.Dimension(635, 393));
			{
				jMenuBar1 = new JMenuBar();
				setJMenuBar(getJMenuBar1());
				{
					jMenu1 = new JMenu();
					jMenuBar1.add(jMenu1);
					jMenuBar1.add(getJMenu2());
					jMenu1.setText("File");
					jMenu1.add(getFileMenuItem1());
				}
			}
			{
			jTabbedPane1 = new JTabbedPane();
				getContentPane().add(getJTabbedPane1(), BorderLayout.CENTER);
				jTabbedPane1.setPreferredSize(new java.awt.Dimension(470, 351));
				{
			jPanel2 = new JPanel();
					jTabbedPane1.addTab("KEYWORD", null, getJPanel2(), null);
					jTabbedPane1.addTab("SPARQL", null, getJPanel8(), null);
					jPanel2.setPreferredSize(new java.awt.Dimension(614, 303));
					jPanel2.setLayout(null);
					jPanel2.add(getJButton3());
					jPanel2.add(getJButton4());
					jPanel2.add(getJPanel4());
					jPanel2.add(getJPanel5());
					jPanel2.add(getJPanel6());
					jPanel2.add(getJPanel7());
				}
				{
					jPanel3 = new JPanel();
					jTabbedPane1.addTab("BROWSE", null, jPanel3, null);
					jPanel3.setPreferredSize(new java.awt.Dimension(614, 264));
					jPanel3.add(getJPanel1());
				}
			}
			pack();
			this.setSize(635, 393);
			pack();
			pack();
			pack();
			//inst.setSize(639, 395);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	public JTabbedPane getJTabbedPane1() {
		return jTabbedPane1;
	}
	
	
	public JPanel getJPanel2() {
		return jPanel2;
	}
	
	public JMenuBar getJMenuBar1() {
		return jMenuBar1;
	}
	
	
	///////////////////DualListBox methods//////////////////////////
//	public String getSourceChoicesTitle() {
//	    return sourceLabel.getText();
//	  }
//
//	  public void setSourceChoicesTitle(String newValue) {
//	    sourceLabel.setText(newValue);
//	  }
//
//	  public String getDestinationChoicesTitle() {
//	    return destLabel.getText();
//	  }
//
//	  public void setDestinationChoicesTitle(String newValue) {
//	    destLabel.setText(newValue);
//	  }

	  public void clearSourceListModel() {
	    sourceListModel.clear();
	  }

	  public void clearDestinationListModel() {
	    destListModel.clear();
	  }

	  public void addSourceElements(ListModel newValue) {
	    fillListModel(sourceListModel, newValue);
	  }

	  public void setSourceElements(ListModel newValue) {
	    clearSourceListModel();
	    addSourceElements(newValue);
	  }

	  public void addDestinationElements(ListModel newValue) {
	    fillListModel(destListModel, newValue);
	  }

	  private void fillListModel(SortedListModel model, ListModel newValues) {
	    int size = newValues.getSize();
	    for (int i = 0; i < size; i++) {
	      model.add(newValues.getElementAt(i));
	    }
	  }

	  public void addSourceElements(Object newValue[]) {
	    fillListModel(sourceListModel, newValue);
	  }

	  public void setSourceElements(Object newValue[]) {
	    clearSourceListModel();
	    addSourceElements(newValue);
	  }

	  public void addDestinationElements(Object newValue[]) {
	    fillListModel(destListModel, newValue);
	  }

	  private void fillListModel(SortedListModel model, Object newValues[]) {
	    model.addAll(newValues);
	  }

	  public Iterator sourceIterator() {
	    return sourceListModel.iterator();
	  }

	  public Iterator destinationIterator() {
	    return destListModel.iterator();
	  }

	  public void setSourceCellRenderer(ListCellRenderer newValue) {
		  jList1.setCellRenderer(newValue);
	  }

	  public ListCellRenderer getSourceCellRenderer() {
	    return jList1.getCellRenderer();
	  }

	  public void setDestinationCellRenderer(ListCellRenderer newValue) {
		  jList2.setCellRenderer(newValue);
	  }

	  public ListCellRenderer getDestinationCellRenderer() {
	    return jList2.getCellRenderer();
	  }

	  public void setVisibleRowCount(int newValue) {
		  jList1.setVisibleRowCount(newValue);
		  jList2.setVisibleRowCount(newValue);
	  }

	  public int getVisibleRowCount() {
	    return jList1.getVisibleRowCount();
	  }

	  public void setSelectionBackground(Color newValue) {
		  jList1.setSelectionBackground(newValue);
		  jList2.setSelectionBackground(newValue);
	  }

	  public Color getSelectionBackground() {
	    return jList1.getSelectionBackground();
	  }

	  public void setSelectionForeground(Color newValue) {
		  jList1.setSelectionForeground(newValue);
		  jList2.setSelectionForeground(newValue);
	  }

	  public Color getSelectionForeground() {
	    return jList1.getSelectionForeground();
	  }

	  private void clearSourceSelected() {
	    Object selected[] = jList1.getSelectedValues();
	    for (int i = selected.length - 1; i >= 0; --i) {
	      sourceListModel.removeElement(selected[i]);
	    }
	    jList1.getSelectionModel().clearSelection();
	  }

	  private void clearDestinationSelected() {
	    Object selected[] = jList2.getSelectedValues();
	    for (int i = selected.length - 1; i >= 0; --i) {
	      destListModel.removeElement(selected[i]);
	    }
	    jList2.getSelectionModel().clearSelection();
	  }
	  
	  //////////////////DualListBox Methods////////////////////////////////
	  

	
	private AbstractAction getSubmitAction1() {
		if(submitAction1 == null) {
			submitAction1 = new AbstractAction("SUBMIT", null) {
				public void actionPerformed(ActionEvent evt) {
					
					String SparqlQuery = jTextArea2.getText();
					String formatType = (String) jComboBox3.getSelectedItem();
					
					System.out.println("Output Format: " + formatType);
					
					if(! jCheckBox5.isSelected() && ! jCheckBox6.isSelected())
						System.out.println("No RDF store selected!");
					
					else {
						jSpaceQueryProcessor jSQP = new jSpaceQueryProcessor(SparqlQuery, "SPARQL", jTextField1_l_dbUrl.getText(), jTextField1_l_dbUser.getText(), jTextField1_l_dbpasswd.getText(), jTextField1_l_db_type.getText(), jTextField1_l_db_driver.getText());
						
						if(jCheckBox5.isSelected()) {
							System.out.println("Local RDF Store is queried");/////////////////////////////////
							
							String fileName = "";
							
							if(formatType.equalsIgnoreCase("XML")) {
								String resultSet = jSQP.queryLocalRDFStore(formatType);
								System.out.println("resultset: " + resultSet);
								fileName = "local_resultSet_XML.xml";
								MyUtilities.saveStringToFile(fileName, resultSet);
								jTextArea1.setText(resultSet);
								queryResultFile = "local_resultSet_XML.xml";
							}
							if(formatType.equalsIgnoreCase("Text")) {
								String resultSet = jSQP.queryLocalRDFStore(formatType);
								System.out.println("resultset: " + resultSet);
								fileName = "local_resultSet_TXT.txt";
								MyUtilities.saveStringToFile(fileName, resultSet);
								jTextArea1.setText(resultSet);
								queryResultFile = "local_resultSet_TXT.txt";
							}	
							if(formatType.equalsIgnoreCase("JSON")) {
								jSQP.queryLocalRDFStore(formatType);
								queryResultFile = "local_resultSet_JSON.txt";
								jTextArea1.setText(MyUtilities.getStringFromFile(queryResultFile));
							}
							if(formatType.equalsIgnoreCase("RDF")) {
								jSQP.queryLocalRDFStore(formatType);
								queryResultFile = "local_resultSet_RDF.rdf";
								jTextArea1.setText(MyUtilities.getStringFromFile(queryResultFile));
							}
							
						}
						if(jCheckBox6.isSelected()) {
							System.out.println("Global RDF Store is queried");/////////////////////////////////
							
							DataSource ds1 = new DataSource(jTextField2_g_ds1.getText());
				        	DataSource ds2 = new DataSource(jTextField2_g_ds2.getText());
				        	DataSource ds3 = new DataSource(jTextField2_g_ds3.getText());
				        	
				        	Set<DataSource> sources = new HashSet<DataSource>();
				            sources.add(ds1);
				            sources.add(ds2);
				            sources.add(ds3);
				        	
							String fileName = "";
							
							if(formatType.equalsIgnoreCase("XML")) {
								//query multiple RDF Stores (SPARQL Endpoint via SPARQL-ADERIS)
								String resultSet = jSQP.queryGlobalRDFStore("XML.xml", true, sources);
								//TODO: implement the XML format e.g. XMLResultSink
								queryResultFile = "global_resultSet_XML.xml";
							}
							if(formatType.equalsIgnoreCase("Text")) {
								//query multiple RDF Stores (SPARQL Endpoints via SPARQL-ADERIS)
								jSQP.queryGlobalRDFStore("TXT.txt", true, sources);
								queryResultFile = "global_resultSet_TXT.txt";
							}	
							if(formatType.equalsIgnoreCase("JSON")) {
								//query multiple RDF Stores (SPARQL Endpoint via SPARQL-ADERIS)
								jSQP.queryGlobalRDFStore("JSON.txt", true, sources);
								//TODO: implement the JSON format e.g. JSONResultSink
								queryResultFile = "global_resultSet_JSON.txt";
							}
							if(formatType.equalsIgnoreCase("RDF")) {
								//query multiple RDF Stores (SPARQL Endpoint via SPARQL-ADERIS)
								jSQP.queryGlobalRDFStore("RDF.rdf", true, sources);
								//TODO: implement the RDF format e.g. RDFResultSink
								queryResultFile = "global_resultSet_RDF.rdf";
							}
							
						}
						//TODO: only one store can be queried at once and its results returned
					}
				}
			};
		}
		return submitAction1;
	}

	private AbstractAction getResetAction1() {
		if(ResetAction1 == null) {
			ResetAction1 = new AbstractAction("RESET", null) {
				public void actionPerformed(ActionEvent evt) {
					jTextArea2.setText("");
					jCheckBox5.setSelected(false);
					jCheckBox6.setSelected(false);
					jComboBox3.setSelectedIndex(0);
				}
			};
		}
		return ResetAction1;
	}
	
	public JTextField getJTextField1() {
		if(jTextField1 == null) {
			jTextField1 = new JTextField();
			jTextField1.setBounds(123, 55, 355, 28);
			jTextField1.setPreferredSize(new java.awt.Dimension(450, 28));
		}
		return jTextField1;
	}

	private JComboBox getJComboBox2() {
		if(jComboBox2 == null) {
			ComboBoxModel jComboBox2Model = 
				new DefaultComboBoxModel(
						new String[] {"Text", "XML", "JSON", "RDF" });
			jComboBox2 = new JComboBox();
			jComboBox2.setModel(jComboBox2Model);
			jComboBox2.setBounds(147, 260, 118, 27);
		}
		return jComboBox2;
	}
	
	private JCheckBox getJCheckBox3() {
		if(jCheckBox3 == null) {
			jCheckBox3 = new JCheckBox();
			jCheckBox3.setText("Local RDF Store");
			jCheckBox3.setBounds(147, 181, 137, 24);
			jCheckBox3.setPreferredSize(new java.awt.Dimension(138, 23));
		}
		return jCheckBox3;
	}
	
	private JCheckBox getJCheckBox4() {
		if(jCheckBox4 == null) {
			jCheckBox4 = new JCheckBox();
			jCheckBox4.setText("Global RDF Store");
			jCheckBox4.setBounds(147, 207, 137, 24);
			jCheckBox4.setPreferredSize(new java.awt.Dimension(138, 23));
		}
		return jCheckBox4;
	}

	private JButton getJButton3() {
		if(jButton3 == null) {
			jButton3 = new JButton();
			jButton3.setText("SEARCH");
			jButton3.setBounds(442, 274, 90, 29);
			jButton3.setAction(getSearchAction1());
		}
		return jButton3;
	}
	
	private JButton getJButton4() {
		if(jButton4 == null) {
			jButton4 = new JButton();
			jButton4.setText("RESET");
			jButton4.setBounds(528, 274, 86, 29);
			jButton4.setAction(getResetAction2());
		}
		return jButton4;
	}
	
	private AbstractAction getSearchAction1() {
		if(SearchAction1 == null) {
			SearchAction1 = new AbstractAction("SEARCH", null) {
				public void actionPerformed(ActionEvent evt) {
							
					String keyword = jTextField1.getText();
					String formatType = (String) jComboBox2.getSelectedItem();
					
					//TODO: jList2 alle elemente holen und in query einbauen
					
					System.out.println("Format type" + formatType);
					System.out.println("Keywod: " + keyword);
					
					String q = "SELECT ?lifeCycle ?goalSpecification  ?keywords " +
								"WHERE {" +
									"?lifeCycle owl:hasGoalSpecification ?goalSpecification." +
									"?goalSpecification owl:hasDescriptionData ?descriptionData." +
									"?descriptionData owl:keywords ?keywords." +
									"FILTER regex(?keywords, '"+ keyword + "', 'i')" +
								"}";
					
					if(keyword.equalsIgnoreCase(""))
						System.out.println("No keyword entered!");
					
					if(! jCheckBox3.isSelected() && ! jCheckBox4.isSelected())
						System.out.println("No RDF store selected!");
					
					else {
						jSpaceQueryProcessor jSQP = new jSpaceQueryProcessor(q, "SPARQL", jTextField1_l_dbUrl.getText(), jTextField1_l_dbUser.getText(), jTextField1_l_dbpasswd.getText(), jTextField1_l_db_type.getText(), jTextField1_l_db_driver.getText());
						
						String qTemp = jSQP.buildSparqlQuery(q);
							
						jTextArea2.setText(jSQP.returnSparqlQuery(qTemp));
						
						if(jCheckBox3.isSelected()) {
							System.out.println("Local RDF Store is queried");
							
							String fileName = "";
							
							if(formatType.equalsIgnoreCase("XML")) {
								String resultSet = jSQP.queryLocalRDFStore(formatType);
								System.out.println("resultset: " + resultSet);
								jTextArea1.setText(resultSet);
								fileName = "local_resultSet.xml";
								MyUtilities.saveStringToFile(fileName, resultSet);
								jTextArea1.setText(resultSet);
							}
							if(formatType.equalsIgnoreCase("Text")) {
								String resultSet = jSQP.queryLocalRDFStore(formatType);
								System.out.println("resultset: " + resultSet);
								jTextArea1.setText(resultSet);
								fileName = "local_resultSet.txt";
								MyUtilities.saveStringToFile(fileName, resultSet);
								jTextArea1.setText(resultSet);
							}	
							if(formatType.equalsIgnoreCase("JSON")) {
								jSQP.queryLocalRDFStore(formatType);
							}
							if(formatType.equalsIgnoreCase("RDF")) {
								jSQP.queryLocalRDFStore(formatType);
							}
						}
						if(jCheckBox4.isSelected()) {
							System.out.println("Global RDF Store is queried");
							
							DataSource ds1 = new DataSource(jTextField2_g_ds1.getText());
				        	DataSource ds2 = new DataSource(jTextField2_g_ds2.getText());
				        	DataSource ds3 = new DataSource(jTextField2_g_ds3.getText());
				        	
				        	Set<DataSource> sources = new HashSet<DataSource>();
				            sources.add(ds1);
				            sources.add(ds2);
				            sources.add(ds3);
							
							String fileName = "";
							
							if(formatType.equalsIgnoreCase("XML")) {
								String resultSet = jSQP.queryLocalRDFStore(formatType);
								System.out.println("resultset: " + resultSet);
								jTextArea1.setText(resultSet);
								fileName = "global_resultSet.xml";
								MyUtilities.saveStringToFile(fileName, resultSet);
								jTextArea1.setText(resultSet);
							}
							if(formatType.equalsIgnoreCase("Text")) {
								String resultSet = jSQP.queryLocalRDFStore(formatType);
								System.out.println("resultset: " + resultSet);
								//jTextArea1.setText(resultSet);
								fileName = "global_resultSet.txt";
								MyUtilities.saveStringToFile(fileName, resultSet);
								jTextArea1.setText(resultSet);
							}	
							if(formatType.equalsIgnoreCase("JSON")) {
								//query multiple RDF Stores (SPARQL Endpoint via SPARQL-ADERIS)
								jSQP.queryGlobalRDFStore("JSON.txt", true, sources);
								//TODO: implement the JSON format e.g. JSONResultSink
								queryResultFile = "global_resultSet_JSON.txt";
							}
							if(formatType.equalsIgnoreCase("RDF")) {
								//query multiple RDF Stores (SPARQL Endpoint via SPARQL-ADERIS)
								jSQP.queryGlobalRDFStore("RDF.rdf", true, sources);
								//TODO: implement the RDF format e.g. RDFResultSink
								queryResultFile = "global_resultSet_RDF.rdf";
							}	
						}
					}
				}
			};
		}
		return SearchAction1;
	}
	
	private AbstractAction getResetAction2() {
		if(ResetAction2 == null) {
			ResetAction2 = new AbstractAction("RESET", null) {
				public void actionPerformed(ActionEvent evt) {
					jTextField1.setText("");
					jCheckBox3.setSelected(false);
					jCheckBox4.setSelected(false);
					jComboBox2.setSelectedIndex(0);
					Object selected[] = jList2.getSelectedValues();
				    addSourceElements(selected);
				    clearDestinationSelected();
					
				}
			};
		}
		return ResetAction2;
	}

	private JPanel getJPanel8() {
		if(jPanel8 == null) {
			jPanel8 = new JPanel();
			jPanel8.setLayout(null);
			jPanel8.add(getJButton5());
			jPanel8.add(getJButton6());
			jPanel8.add(getJPanel9());
			jPanel8.add(getJPanel10());
			jPanel8.add(getJPanel11());
			jPanel8.add(getJPanel12());
		}
		return jPanel8;
	}
	
	private JButton getJButton5() {
		if(jButton5 == null) {
			jButton5 = new JButton();
			jButton5.setText("RESET");
			jButton5.setAction(getResetAction1());
			jButton5.setBounds(529, 275, 86, 29);
		}
		return jButton5;
	}
	
	private JButton getJButton6() {
		if(jButton6 == null) {
			jButton6 = new JButton();
			jButton6.setText("SUBMIT");
			jButton6.setAction(getSubmitAction1());
			jButton6.setBounds(443, 275, 90, 29);
		}
		return jButton6;
	}
	
	private JPanel getJPanel9() {
		if(jPanel9 == null) {
			jPanel9 = new JPanel();
			jPanel9.setBorder(BorderFactory.createTitledBorder("Predefined Queries"));
			jPanel9.setBounds(449, 165, 160, 104);
			jPanel9.add(getJButton1());
			jPanel9.add(getJButton8());
			jPanel9.add(getJButton2());
			jPanel9.add(getJButton7());
			jPanel9.add(getJButton11());
			jPanel9.add(getJButton12());
			jPanel9.add(getJButton13());
			jPanel9.add(getJButton14());
		}
		return jPanel9;
	}
	
	private JPanel getJPanel10() {
		if(jPanel10 == null) {
			jPanel10 = new JPanel();
			jPanel10.setBorder(BorderFactory.createTitledBorder("Output Format"));
			jPanel10.setBounds(449, 94, 160, 68);
			jPanel10.add(getJComboBox3());
		}
		return jPanel10;
	}
	
	private JComboBox getJComboBox3() {
		if(jComboBox3 == null) {
			ComboBoxModel jComboBox3Model = 
				new DefaultComboBoxModel(
						new String[] { "Text", "XML", "JSON", "RDF" });
			jComboBox3 = new JComboBox();
			jComboBox3.setModel(jComboBox3Model);
			jComboBox3.setBounds(459, 236, 118, 27);
		}
		return jComboBox3;
	}
	
	private JPanel getJPanel11() {
		if(jPanel11 == null) {
			jPanel11 = new JPanel();
			jPanel11.setBorder(BorderFactory.createTitledBorder("RDF Store"));
			jPanel11.setBounds(449, 2, 160, 90);
			jPanel11.add(getJCheckBox5());
			jPanel11.add(getJCheckBox6());
		}
		return jPanel11;
	}
	
	private JCheckBox getJCheckBox5() {
		if(jCheckBox5 == null) {
			jCheckBox5 = new JCheckBox();
			jCheckBox5.setText("Local RDF Store");
			jCheckBox5.setPreferredSize(new java.awt.Dimension(140,23));
			jCheckBox5.setBounds(454, 133, 137, 24);
		}
		return jCheckBox5;
	}
	
	private JCheckBox getJCheckBox6() {
		if(jCheckBox6 == null) {
			jCheckBox6 = new JCheckBox();
			jCheckBox6.setText("Global RDF Store");
			jCheckBox6.setPreferredSize(new java.awt.Dimension(140,23));
			jCheckBox6.setBounds(454, 107, 137, 24);
		}
		return jCheckBox6;
	}
	
	private JPanel getJPanel12() {
		if(jPanel12 == null) {
			jPanel12 = new JPanel();
			jPanel12.setBorder(BorderFactory.createTitledBorder("SPARQL Query Panel"));
			jPanel12.setBounds(1, 2, 436, 267);
			jPanel12.add(getJTextArea2());
		}
		return jPanel12;
	}
	
	private JTextArea getJTextArea2() {
		if(jTextArea2 == null) {
			jTextArea2 = new JTextArea();
			jTextArea2.setBackground(new java.awt.Color(184,184,184));
			jTextArea2.setPreferredSize(new java.awt.Dimension(406,226));
			jTextArea2.setBounds(12, 45, 422, 251);
		}
		return jTextArea2;
	}
	
	private ButtonGroup getButtonGroup1() {
		if(buttonGroup1 == null) {
			buttonGroup1 = new ButtonGroup();
		}
		return buttonGroup1;
	}
	
	private JButton getJButton1() {
		if(jButton1 == null) {
			jButton1 = new JButton();
			jButton1.setText("Q1");
			jButton1.setPreferredSize(new java.awt.Dimension(28, 29));
			jButton1.setSize(27, 27);
			jButton1.setAction(getQ1Action1());
		}
		return jButton1;
	}
	
	
	private JButton getJButton2() {
		if(jButton2 == null) {
			jButton2 = new JButton();
			jButton2.setText("Q3");
			jButton2.setPreferredSize(new java.awt.Dimension(28, 29));
			jButton2.setSize(27, 27);
			jButton2.setAction(getQ3Action1());
		}
		return jButton2;
	}
	
	private JButton getJButton7() {
		if(jButton7 == null) {
			jButton7 = new JButton();
			jButton7.setText("Q4");
			jButton7.setPreferredSize(new java.awt.Dimension(28, 29));
			jButton7.setSize(27, 27);
			jButton7.setAction(getQ4Action1());
		}
		return jButton7;
	}
	
	private JButton getJButton8() {
		if(jButton8 == null) {
			jButton8 = new JButton();
			jButton8.setText("Q2");
			jButton8.setPreferredSize(new java.awt.Dimension(27, 27));
			jButton8.setSize(27, 27);
			jButton8.setAction(getQ2Action1());
		}
		return jButton8;
	}
	
	private AbstractAction getQ1Action1() {
		if(Q1Action1 == null) {
			Q1Action1 = new AbstractAction("Q1", null) {
				public void actionPerformed(ActionEvent evt) {
					String q = "SELECT ?lifeCycle ?goalSpecification ?dataPreparation ?taskSelection " +
								"WHERE { " +
									"?lifeCycle owl:hasGoalSpecification ?goalSpecification." +
									"?lifeCycle owl:hasTaskSelection ?taskSelection." +
									"?lifeCycle owl:hasDataPreparation ?dataPreparation." +
								"}";
					
					jSpaceQueryProcessor jSQP = new jSpaceQueryProcessor();
					
					String qTemp = jSQP.buildSparqlQuery(q);
						
					jTextArea2.setText(jSQP.returnSparqlQuery(qTemp));
					
				}
			};
		}
		return Q1Action1;
	}
	
	
	private AbstractAction getQ2Action1() {
		if(Q2Action1 == null) {
			Q2Action1 = new AbstractAction("Q2", null) {
				public void actionPerformed(ActionEvent evt) {
					String q = "SELECT ?s ?p ?o WHERE { ?s ?p ?o }";
					
					jSpaceQueryProcessor jSQP = new jSpaceQueryProcessor();
					
					String qTemp = jSQP.buildSparqlQuery(q);
						
					jTextArea2.setText(jSQP.returnSparqlQuery(qTemp));
				}
			};
		}
		return Q2Action1;
	}
	
	private AbstractAction getQ3Action1() {
		if(Q3Action1 == null) {
			Q3Action1 = new AbstractAction("Q3", null) {
				public void actionPerformed(ActionEvent evt) {
					String q = 	"SELECT ?s ?p WHERE { ?s ?p owl:i.elsayed }";
						
					jSpaceQueryProcessor jSQP = new jSpaceQueryProcessor();
					
					String qTemp = jSQP.buildSparqlQuery(q);
						
					jTextArea2.setText(jSQP.returnSparqlQuery(qTemp));
					
				}
			};
		}
		return Q3Action1;
	}
	
	private AbstractAction getQ4Action1() {
		if(Q4Action1 == null) {
			Q4Action1 = new AbstractAction("Q4", null) {
				public void actionPerformed(ActionEvent evt) {
					String q = 	"SELECT ?lifeCycle ?goalSpecification ?p ?o " +
								"WHERE { " +
									"?lifeCycle owl:hasGoalSpecification ?goalSpecification. " +
									"?lifeCycle ?p ?o." +
								"}";
					
					jSpaceQueryProcessor jSQP = new jSpaceQueryProcessor();
					
					String qTemp = jSQP.buildSparqlQuery(q);
						
					jTextArea2.setText(jSQP.returnSparqlQuery(qTemp));
				}
			};
		}
		return Q4Action1;
	}
	
	private JPanel getJPanel1() {
		if(jPanel1 == null) {
		jPanel1 = new JPanel();
			jPanel1.setPreferredSize(new java.awt.Dimension(605, 297));
			jPanel1.setBorder(BorderFactory.createTitledBorder("Results"));
			jPanel1.add(getJScrollPane1());
			jPanel1.add(getJButton15());
			jPanel1.add(getJButton16());
		}
		return jPanel1;
	}
	
	private JTextArea getJTextArea1() {
		if(jTextArea1 == null) {
			jTextArea1 = new JTextArea();
			jTextArea1.setPreferredSize(new java.awt.Dimension(572, 343));
			jTextArea1.setForeground(new java.awt.Color(0,0,0));
			jTextArea1.setLineWrap(true);
		}
		return jTextArea1;
	}
	
	private JScrollPane getJScrollPane1() {
		if(jScrollPane1 == null) {
			jScrollPane1 = new JScrollPane();
			jScrollPane1.setPreferredSize(new java.awt.Dimension(586, 222));
			jScrollPane1.setViewportView(getJTextArea1());
		}
		return jScrollPane1;
	}
	
	private JPanel getJPanel4() {
		if(jPanel4 == null) {
			jPanel4 = new JPanel();
			jPanel4.setBounds(449, 86, 160, 90);
			jPanel4.setBorder(BorderFactory.createTitledBorder("RDF Store"));
			jPanel4.add(getJCheckBox3());
			jPanel4.add(getJCheckBox4());
		}
		return jPanel4;
	}
	
	private JPanel getJPanel5() {
		if(jPanel5 == null) {
			jPanel5 = new JPanel();
			jPanel5.setBounds(449, 182, 160, 86);
			jPanel5.setBorder(BorderFactory.createTitledBorder("Format"));
			jPanel5.add(getJComboBox2());
		}
		return jPanel5;
	}
	
	private JPanel getJPanel6() {
		if(jPanel6 == null) {
			jPanel6 = new JPanel();
			jPanel6.setBounds(6, 5, 602, 77);
			jPanel6.setBorder(BorderFactory.createTitledBorder("Keyword Search"));
			jPanel6.add(getJTextField1());
		}
		return jPanel6;
	}
	
	private JPanel getJPanel7() {
		if(jPanel7 == null) {
			jPanel7 = new JPanel();
			jPanel7.setBounds(6, 86, 437, 182);
			jPanel7.setBorder(BorderFactory.createTitledBorder("Search Filter"));
			jPanel7.add(getJList1());
			jPanel7.add(getJButton10());
			jPanel7.add(getJButton9());
			jPanel7.add(getJList2());
		}
		return jPanel7;
	}
	
	private JList getJList1() {
		if(jList1 == null) {
			
			sourceListModel = new SortedListModel();
			jList1 = new JList(sourceListModel);
			jList1.setPreferredSize(new java.awt.Dimension(117, 138));
			jList1.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
			
			addSourceElements(new String[] { 	"Life Cycle Resource", 
												"Goal Specification", 
												"Data Preparation", 
												"Task Selection",
												"Task Execution",
												"Result Processing"
											});

		}
		return jList1;
	}
	
	private JList getJList2() {	
		if(jList2 == null) {
			destListModel = new SortedListModel();
			jList2 = new JList();
			jList2.setModel(destListModel);
			jList2.setPreferredSize(new java.awt.Dimension(117, 138));
			jList2.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
		}
		return jList2;
	}
	
	private JButton getJButton9() {
		if(jButton9 == null) {
			jButton9 = new JButton();
			jButton9.setText(">");
			jButton9.setAction(getFilterONAction());
		}
		return jButton9;
	}
	
	private JButton getJButton10() {
		if(jButton10 == null) {
			jButton10 = new JButton();
			jButton10.setText("<");
			jButton10.setAction(getFilterOFFAction());
		}
		return jButton10;
	}
	
	private AbstractAction getFilterONAction() {
		if(FilterONAction == null) {
			FilterONAction = new AbstractAction(">", null) {
				public void actionPerformed(ActionEvent evt) {
					
					Object selected[] = jList1.getSelectedValues();
				      addDestinationElements(selected);
				      clearSourceSelected();					
					
				}
			};
		}
		return FilterONAction;
	}
	
	private AbstractAction getFilterOFFAction() {
		if(FilterOFFAction == null) {
			FilterOFFAction = new AbstractAction("<", null) {
				public void actionPerformed(ActionEvent evt) {
					
					Object selected[] = jList2.getSelectedValues();
				      addSourceElements(selected);
				      clearDestinationSelected();
					
				}
			};
		}
		return FilterOFFAction;
	}

	private AbstractAction getAbstractAction1() {
		if(abstractAction1 == null) {
			abstractAction1 = new AbstractAction("abstractAction1", null) {
				public void actionPerformed(ActionEvent evt) {
				}
			};
		}
		return abstractAction1;
	}
	
	private JButton getJButton11() {
		if(jButton11 == null) {
			jButton11 = new JButton();
			jButton11.setText("Q5");
			jButton11.setAction(getQ5Action1());
			jButton11.setPreferredSize(new java.awt.Dimension(28, 29));
		}
		return jButton11;
	}
	
	private AbstractAction getQ5Action1() {
		if(Q5Action1 == null) {
			Q5Action1 = new AbstractAction("Q5", null) {
				public void actionPerformed(ActionEvent evt) {
					String q = 	"SELECT ?member ?p ?o " +
					"WHERE { " +
						"owl:researchGroup_1 owl:hasMembers ?member. " +
						"?member ?p ?o " +
					"}";
		
					jSpaceQueryProcessor jSQP = new jSpaceQueryProcessor();
					
					String qTemp = jSQP.buildSparqlQuery(q);
						
					jTextArea2.setText(jSQP.returnSparqlQuery(qTemp));
				}
			};
		}
		return Q5Action1;
	}
	
	private JButton getJButton12() {
		if(jButton12 == null) {
			jButton12 = new JButton();
			jButton12.setText("Q6");
			jButton12.setSize(28, 29);
			jButton12.setPreferredSize(new java.awt.Dimension(28, 29));
			jButton12.setAction(getQ6Action1());
		}
		return jButton12;
	}
	
	private AbstractAction getQ6Action1() {
		if(Q6Action1 == null) {
			Q6Action1 = new AbstractAction("Q6", null) {
				public void actionPerformed(ActionEvent evt) {
				}
			};
		}
		return Q6Action1;
	}
	
	private JButton getJButton13() {
		if(jButton13 == null) {
			jButton13 = new JButton();
			jButton13.setText("Q7");
			jButton13.setPreferredSize(new java.awt.Dimension(28, 29));
			jButton13.setAction(getQ7Action1());
		}
		return jButton13;
	}
	
	private AbstractAction getQ7Action1() {
		if(Q7Action1 == null) {
			Q7Action1 = new AbstractAction("Q7", null) {
				public void actionPerformed(ActionEvent evt) {
				}
			};
		}
		return Q7Action1;
	}
	
	private JButton getJButton14() {
		if(jButton14 == null) {
			jButton14 = new JButton();
			jButton14.setText("Q8");
			jButton14.setPreferredSize(new java.awt.Dimension(28, 29));
			jButton14.setAction(getQ8Action1());
		}
		return jButton14;
	}
	
	private AbstractAction getQ8Action1() {
		if(Q8Action1 == null) {
			Q8Action1 = new AbstractAction("Q8", null) {
				public void actionPerformed(ActionEvent evt) {
				}
			};
		}
		return Q8Action1;
	}
	
	
	
	private JButton getJButton15() {
		if(jButton15 == null) {
			jButton15 = new JButton();
			jButton15.setText("Show Results");
			jButton15.setAction(getShowResultsAction2());
		}
		return jButton15;
	}
	
	private AbstractAction getShowResultsAction2() {
		if(ShowResultsAction2 == null) {
			ShowResultsAction2 = new AbstractAction("Show Results", null) {
				public void actionPerformed(ActionEvent evt) {
					System.out.println("queryResultFile: " + queryResultFile);
					File file = new File(queryResultFile);
					if (file.exists())
						jTextArea1.setText(MyUtilities.getStringFromFile(queryResultFile));
					else {
						jTextArea1.setText("There is no results file!");
					}
				}
			};
		}
		return ShowResultsAction2;
	}
	
	private JMenu getJMenu2() {
		if(jMenu2 == null) {
			jMenu2 = new JMenu();
			jMenu2.setText("About");
			jMenu2.add(getSettingsMenuItem1());
			jMenu2.add(getSettingsMenuItem2());
		}
		return jMenu2;
	}
	
	private JMenuItem getSettingsMenuItem1() {
		if(SettingsMenuItem1 == null) {
			SettingsMenuItem1 = new JMenuItem();
			SettingsMenuItem1.setText("Help");
		}
		return SettingsMenuItem1;
	}
	
	private JMenuItem getSettingsMenuItem2() {
		if(SettingsMenuItem2 == null) {
			SettingsMenuItem2 = new JMenuItem();
			SettingsMenuItem2.setText("Global RDF Settings");
		}
		return SettingsMenuItem2;
	}
	
	private JButton getJButton16() {
		if(jButton16 == null) {
			jButton16 = new JButton();
			jButton16.setText("Open in System Editor");
			jButton16.setAction(getSysEditorAction2());
		}
		return jButton16;
	}
	
	private AbstractAction getSysEditorAction2() {
		if(SysEditorAction2 == null) {
			SysEditorAction2 = new AbstractAction("Open in System Editor", null) {
				public void actionPerformed(ActionEvent evt) {
					try {					      
					      File file = new File(queryResultFile);
					      if(!file.exists() && file.length() < 0){
					    	  jTextArea1.setText("There is no results file!\n Try to su");
					      }
					      Desktop desktop = null;
					      if (Desktop.isDesktopSupported()) {
					        desktop = Desktop.getDesktop();
					      }
					      desktop.edit(file);
					    }
					    catch (Exception e) {
					      e.printStackTrace();
					    }
				}
			};
		}
		return SysEditorAction2;
	}
	
	private JMenuItem getFileMenuItem1() {
		if(FileMenuItem1 == null) {
			FileMenuItem1 = new JMenuItem();
			FileMenuItem1.setText("Config");
			FileMenuItem1.setAction(getConfigAction());
		}
		return FileMenuItem1;
	}
	
	private JDialog getJDialog1() {
		if(jDialog1 == null) {
			jDialog1 = new JDialog(this);
			jDialog1.setFocusTraversalPolicyProvider(true);
			jDialog1.getContentPane().add(getJTabbedPane2(), BorderLayout.NORTH);
			jDialog1.getContentPane().add(getJPanel13(), BorderLayout.CENTER);
		}
		return jDialog1;
	}
	
	private JTabbedPane getJTabbedPane2() {
		if(jTabbedPane2 == null) {
			jTabbedPane2 = new JTabbedPane();
			jTabbedPane2.setAutoscrolls(true);
			jTabbedPane2.addTab("Local Dataspace Settings", null, getJPanel1_localSettings(), null);
			jTabbedPane2.addTab("Global Dataspace Settings", null, getJPanel1_GlobalSettings(), null);
		}
		return jTabbedPane2;
	}
	
	private JPanel getJPanel1_localSettings() {
		if(jPanel1_localSettings == null) {
			jPanel1_localSettings = new JPanel();
			jPanel1_localSettings.setPreferredSize(new java.awt.Dimension(490, 185));
			jPanel1_localSettings.setAutoscrolls(true);
			jPanel1_localSettings.add(getJPanel1_localRDFStoreSettings());
			jPanel1_localSettings.add(getJPanel14());
		}
		return jPanel1_localSettings;
	}
	
	private JPanel getJPanel1_localRDFStoreSettings() {
		if(jPanel1_localRDFStoreSettings == null) {
			jPanel1_localRDFStoreSettings = new JPanel();
			jPanel1_localRDFStoreSettings.setLayout(null);
			jPanel1_localRDFStoreSettings.setPreferredSize(new java.awt.Dimension(480, 194));
			jPanel1_localRDFStoreSettings.setBorder(BorderFactory.createTitledBorder("Local RDF Store"));
			//jPanel1_localRDFStoreSettings.setLayout(jPanel1_localRDFStoreSettingsLayout);
			jPanel1_localRDFStoreSettings.add(getJTextField1_l_dbUrl());
			jPanel1_localRDFStoreSettings.add(getJTextField1_l_dbUser());
			jPanel1_localRDFStoreSettings.add(getJTextField1_l_dbpasswd());
			jPanel1_localRDFStoreSettings.add(getJTextField1_l_db_type());
			jPanel1_localRDFStoreSettings.add(getJTextField1_l_db_driver());
			jPanel1_localRDFStoreSettings.add(getJLabel1_l_DB_URL());
			jPanel1_localRDFStoreSettings.add(getJLabel1_l_DB_USER());
			jPanel1_localRDFStoreSettings.add(getJLabel1_l_DB_TYPE());
			jPanel1_localRDFStoreSettings.add(getJLabel1_l_DB_PASSWD());
			jPanel1_localRDFStoreSettings.add(getJLabel1_l_DB_DRIVER());
		}
		return jPanel1_localRDFStoreSettings;
	}
	
	private JTextField getJTextField1_l_dbUrl() {
		if(jTextField1_l_dbUrl == null) {
			jTextField1_l_dbUrl = new JTextField();
			jTextField1_l_dbUrl.setText("jdbc:mysql://localhost:3306/jenatest");
			jTextField1_l_dbUrl.setBounds(150, 31, 309, 28);
		}
		return jTextField1_l_dbUrl;
	}
	
	private JTextField getJTextField1_l_dbUser() {
		if(jTextField1_l_dbUser == null) {
			jTextField1_l_dbUser = new JTextField();
			AnchorLayout jTextField1_l_dbUserLayout = new AnchorLayout();
			jTextField1_l_dbUser.setLayout(jTextField1_l_dbUserLayout);
			jTextField1_l_dbUser.setText("root");
			jTextField1_l_dbUser.setBounds(150, 90, 198, 28);
		}
		return jTextField1_l_dbUser;
	}
	
	private JTextField getJTextField1_l_dbpasswd() {
		if(jTextField1_l_dbpasswd == null) {
			jTextField1_l_dbpasswd = new JTextField();
			jTextField1_l_dbpasswd.setText("mbookdbrp56");
			jTextField1_l_dbpasswd.setBounds(149, 124, 198, 28);
		}
		return jTextField1_l_dbpasswd;
	}
	
	private JTextField getJTextField1_l_db_type() {
		if(jTextField1_l_db_type == null) {
			jTextField1_l_db_type = new JTextField();
			jTextField1_l_db_type.setText("MySQL");
			jTextField1_l_db_type.setBounds(150, 62, 198, 28);
		}
		return jTextField1_l_db_type;
	}
	
	private JTextField getJTextField1_l_db_driver() {
		if(jTextField1_l_db_driver == null) {
			jTextField1_l_db_driver = new JTextField();
			jTextField1_l_db_driver.setText("com.mysql.jdbc.Driver");
			jTextField1_l_db_driver.setBounds(150, 154, 198, 28);
		}
		return jTextField1_l_db_driver;
	}

	private JPanel getJPanel1_GlobalSettings() {
		if(jPanel1_GlobalSettings == null) {
			jPanel1_GlobalSettings = new JPanel();
			jPanel1_GlobalSettings.add(getJPanel1_globalRDFStoreSettings());
		}
		return jPanel1_GlobalSettings;
	}
	
	private JPanel getJPanel1_globalRDFStoreSettings() {
		if(jPanel1_globalRDFStoreSettings == null) {
			jPanel1_globalRDFStoreSettings = new JPanel();
			jPanel1_globalRDFStoreSettings.setPreferredSize(new java.awt.Dimension(480,199));
			jPanel1_globalRDFStoreSettings.setBorder(BorderFactory.createTitledBorder("Global RDF Store"));
			jPanel1_globalRDFStoreSettings.add(getJLabel1_g_DS1());
			jPanel1_globalRDFStoreSettings.add(getJTextField2_g_ds1());
			jPanel1_globalRDFStoreSettings.add(getJLabel1());
			jPanel1_globalRDFStoreSettings.add(getJTextField2_g_ds2());
			jPanel1_globalRDFStoreSettings.add(getJLabel2());
			jPanel1_globalRDFStoreSettings.add(getJTextField2_g_ds3());
			//jPanel1_globalRDFStoreSettings.setLayout(jPanel1_globalRDFStoreSettingsLayout);
		}
		return jPanel1_globalRDFStoreSettings;
	}
	
	private JButton getJButton17() {
		if(jButton17 == null) {
			jButton17 = new JButton();
			jButton17.setText("CLOSE");
			jButton17.setAction(getCloseConfigAction());
		}
		return jButton17;
	}
	
	private AbstractAction getCloseConfigAction() {
		if(closeConfigAction == null) {
			closeConfigAction = new AbstractAction("CLOSE", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog1().dispose();
				}
			};
		}
		return closeConfigAction;
	}
	
	private AbstractAction getConfigAction() {
		if(ConfigAction == null) {
			ConfigAction = new AbstractAction("Config", null) {
				public void actionPerformed(ActionEvent evt) {
					getJDialog1().pack();
					getJDialog1().setLocationRelativeTo(null);
					getJDialog1().setVisible(true);
				}
			};
		}
		return ConfigAction;
	}

	private JPanel getJPanel14() {
		if(jPanel14 == null) {
			jPanel14 = new JPanel();
			jPanel14.setPreferredSize(new java.awt.Dimension(68, 64));
		}
		return jPanel14;
	}
	
	private JPanel getJPanel13() {
		if(jPanel13 == null) {
			jPanel13 = new JPanel();
			jPanel13.setPreferredSize(new java.awt.Dimension(511, 48));
			jPanel13.add(getJButton17());
		}
		return jPanel13;
	}
	
	private JLabel getJLabel1_l_DB_URL() {
		if(jLabel1_l_DB_URL == null) {
			jLabel1_l_DB_URL = new JLabel();
			jLabel1_l_DB_URL.setText("DB URL:");
			jLabel1_l_DB_URL.setBounds(65, 37, 59, 16);
		}
		return jLabel1_l_DB_URL;
	}
	
	private JLabel getJLabel1_l_DB_USER() {
		if(jLabel1_l_DB_USER == null) {
			jLabel1_l_DB_USER = new JLabel();
			jLabel1_l_DB_USER.setText("DB User:");
			jLabel1_l_DB_USER.setBounds(65, 96, 65, 16);
		}
		return jLabel1_l_DB_USER;
	}
	
	private JLabel getJLabel1_l_DB_TYPE() {
		if(jLabel1_l_DB_TYPE == null) {
			jLabel1_l_DB_TYPE = new JLabel();
			jLabel1_l_DB_TYPE.setText("DB TYPE:");
			jLabel1_l_DB_TYPE.setBounds(65, 68, 77, 16);
		}
		return jLabel1_l_DB_TYPE;
	}
	
	private JLabel getJLabel1_l_DB_PASSWD() {
		if(jLabel1_l_DB_PASSWD == null) {
			jLabel1_l_DB_PASSWD = new JLabel();
			jLabel1_l_DB_PASSWD.setText("DB PASSWD:");
			jLabel1_l_DB_PASSWD.setBounds(65, 130, 77, 16);
		}
		return jLabel1_l_DB_PASSWD;
	}
	
	private JLabel getJLabel1_l_DB_DRIVER() {
		if(jLabel1_l_DB_DRIVER == null) {
			jLabel1_l_DB_DRIVER = new JLabel();
			jLabel1_l_DB_DRIVER.setText("DB DRIVER:");
			jLabel1_l_DB_DRIVER.setBounds(65, 160, 77, 16);
		}
		return jLabel1_l_DB_DRIVER;
	}
	
	private JTextField getJTextField2_g_ds1() {
		if(jTextField2_g_ds1 == null) {
			jTextField2_g_ds1 = new JTextField();
			jTextField2_g_ds1.setPreferredSize(new java.awt.Dimension(293, 28));
			jTextField2_g_ds1.setText("http://lela.gridlab.univie.ac.at:2010/sparql");
		}
		return jTextField2_g_ds1;
	}
	
	private JLabel getJLabel1_g_DS1() {
		if(jLabel1_g_DS1 == null) {
			jLabel1_g_DS1 = new JLabel();
			jLabel1_g_DS1.setText("SPARQL ENPOINT 1");
			jLabel1_g_DS1.setPreferredSize(new java.awt.Dimension(144, 16));
		}
		return jLabel1_g_DS1;
	}
	
	private JTextField getJTextField2_g_ds2() {
		if(jTextField2_g_ds2 == null) {
			jTextField2_g_ds2 = new JTextField();
			jTextField2_g_ds2.setPreferredSize(new java.awt.Dimension(293, 28));
			jTextField2_g_ds2.setText("http://lela.gridlab.univie.ac.at:2020/sparql");
		}
		return jTextField2_g_ds2;
	}
	
	private JLabel getJLabel1() {
		if(jLabel1 == null) {
			jLabel1 = new JLabel();
			jLabel1.setText("SPARQL ENPOINT 2");
			jLabel1.setPreferredSize(new java.awt.Dimension(144, 16));
		}
		return jLabel1;
	}
	
	private JTextField getJTextField2_g_ds3() {
		if(jTextField2_g_ds3 == null) {
			jTextField2_g_ds3 = new JTextField();
			jTextField2_g_ds3.setPreferredSize(new java.awt.Dimension(293, 28));
			jTextField2_g_ds3.setText("http://lela.gridlab.univie.ac.at:2030/sparql");
		}
		return jTextField2_g_ds3;
	}
	
	private JLabel getJLabel2() {
		if(jLabel2 == null) {
			jLabel2 = new JLabel();
			jLabel2.setText("SPARQL ENPOINT 3");
			jLabel2.setPreferredSize(new java.awt.Dimension(144, 16));
		}
		return jLabel2;
	}

}

class SortedListModel extends AbstractListModel {

	  SortedSet model;

	  public SortedListModel() {
	    model = new TreeSet();
	  }

	  public int getSize() {
	    return model.size();
	  }

	  public Object getElementAt(int index) {
	    return model.toArray()[index];
	  }

	  public void add(Object element) {
	    if (model.add(element)) {
	      fireContentsChanged(this, 0, getSize());
	    }
	  }

	  public void addAll(Object elements[]) {
	    Collection c = Arrays.asList(elements);
	    model.addAll(c);
	    fireContentsChanged(this, 0, getSize());
	  }

	  public void clear() {
	    model.clear();
	    fireContentsChanged(this, 0, getSize());
	  }

	  public boolean contains(Object element) {
	    return model.contains(element);
	  }

	  public Object firstElement() {
	    return model.first();
	  }

	  public Iterator iterator() {
	    return model.iterator();
	  }

	  public Object lastElement() {
	    return model.last();
	  }

	  public boolean removeElement(Object element) {
	    boolean removed = model.remove(element);
	    if (removed) {
	      fireContentsChanged(this, 0, getSize());
	    }
	    return removed;
	  }
	}
